Bug 199325 - tasks widget crash in AbstractTaskItem::basicPreferredSize
Summary: tasks widget crash in AbstractTaskItem::basicPreferredSize
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Plasma
Component: widget-taskbar (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash with 43 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 196848 199723 199987 200096 200200 200358 200365 200375 200773 200903 201091 201386 201939 201966 202003 202034 202107 202318 202361 202368 202645 202698 202855 203004 203093 203129 203174 203238 203437 203454 203493 203577 203634 203776 203840 203939 204093 204421 204472 204496 204626 204676 204841 204892 205081 205159 205211 205299 205365 205437 205479 205486 205489 205555 205670 205704 205719 205838 205924 205926 206084 206097 206128 206153 206164 206202 206210 206332 206359 206373 206464 206496 206530 206613 206677 206690 206719 206791 206795 206849 207074 207077 207141 207393 207399 207415 207535 207593 207684 207693 207744 207796 207896 208029 208163 208221 208308 208331 208399 208405 208447 208455 208511 208560 208567 208617 208624 208675 208678 208734 208834 208936 209024 209081 209091 209168 209209 209294 209329 209361 209853 210297 210426 210561 211345 211403 211474 211712 211833 211945 212151 212173 212195 212400 212410 212484 212767 212817 212987 213043 213273 213485 214173 214264 214327 214371 214437 214449 214521 214674 214808 215255 215275 215320 215422 215605 215796 215915 216004 216061 216106 216147 216306 216339 216411 216434 216478 216479 216825 217095 217164 217209 217289 217315 217368 217587 217823 218134 218236 218267 218672 219151 220325 220702 220878 220958 221269 221337 221388 221946 222027 222099 222192 222214 222355 222480 222644 222770 222811 224029 224058 224115 224319 224765 225222 225302 225340 225363 225463 225502 225802 227630 227661 227842 227866 227959 228012 228671 231252 231556 231973 232960 233375 233870 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-07-07 19:32 UTC by Darek
Modified: 2018-04-09 22:36 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
another crash thread dump (5.61 KB, text/plain)
2009-08-06 13:09 UTC, op
Details
inverse trace of plasma-desktop crash (3.41 KB, text/plain)
2009-08-19 17:05 UTC, Fernando Pozo
Details
Valgrind log of plasma session (287.78 KB, text/plain)
2009-09-19 22:23 UTC, Alex Merry
Details
Yet another traceback for 4.3. (6.29 KB, text/plain)
2009-10-25 12:59 UTC, Dmitry
Details
Yet another traceback, now for 4.3.4 (7.06 KB, text/plain)
2009-12-04 08:37 UTC, Dmitry
Details
New crash information added by DrKonqi (6.31 KB, text/plain)
2010-01-04 18:11 UTC, Unknown
Details
New crash information added by DrKonqi (18.45 KB, text/plain)
2010-01-16 04:47 UTC, Xavier Fung
Details
New crash information added by DrKonqi (8.19 KB, text/plain)
2010-01-21 18:19 UTC, Juha Tiensyrjä
Details
Newer form of the bug (45.20 KB, image/png)
2010-01-26 23:16 UTC, Unknown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Darek 2009-07-07 19:32:18 UTC
Application that crashed: plasma-desktop
Version of the application: 0.3
KDE Version: 4.2.95 (KDE 4.2.95 (KDE 4.3 RC1))
Qt Version: 4.5.0
Operating System: Linux 2.6.28-13-generic i686
Distribution: Ubuntu 9.04

 -- Backtrace:
Application: Plasma Workspace (kdeinit4), signal: Segmentation fault
[Current thread is 0 (LWP 3763)]

Thread 3 (Thread 0xa90dab90 (LWP 4031)):
#0  0xb7f56430 in __kernel_vsyscall ()
#1  0xb64200e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb66002ed in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0xb7d539b2 in QWaitCondition::wait (this=0x9c2c138, mutex=0x9c2c134, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb768f152 in QHostInfoAgent::run (this=0x9c2c128) at kernel/qhostinfo.cpp:260
#5  0xb7d5296e in QThreadPrivate::start (arg=0x9c2c128) at thread/qthread_unix.cpp:189
#6  0xb641c4ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0xb65f149e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xa3d8ab90 (LWP 4032)):
#0  0xb7f56430 in __kernel_vsyscall ()
#1  0xb6420412 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0xb6600344 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0xb7d52359 in thread_sleep (ti=0xa3d8a2b0) at thread/qthread_unix.cpp:298
#4  0xb7d5248b in QThread::msleep (msecs=<value optimized out>) at thread/qthread_unix.cpp:324
#5  0xa91e30c8 in ?? () from /usr/lib/kde4/plasma_applet_cwp.so
#6  0xb7d5296e in QThreadPrivate::start (arg=0x9e40260) at thread/qthread_unix.cpp:189
#7  0xb641c4ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0xb65f149e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb5f2aa10 (LWP 3763)):
[KCrash Handler]
#6  AbstractTaskItem::basicPreferredSize (this=0xb19d5b8) at /build/buildd/kdebase-workspace-4.2.95/plasma/applets/tasks/tasks.h:92
#7  0xa946965c in TaskItemLayout::maximumRows (this=0x9b91030) at /build/buildd/kdebase-workspace-4.2.95/plasma/applets/tasks/taskitemlayout.cpp:185
#8  0xa9472e74 in TaskGroupItem::optimumCapacity (this=0x9b8ea68) at /build/buildd/kdebase-workspace-4.2.95/plasma/applets/tasks/taskgroupitem.cpp:1198
#9  0xa94643c8 in Tasks::adjustGroupingStrategy (this=0x993b460) at /build/buildd/kdebase-workspace-4.2.95/plasma/applets/tasks/tasks.cpp:241
#10 0xa946465c in Tasks::constraintsEvent (this=0x993b460, constraints={i = -1078512088}) at /build/buildd/kdebase-workspace-4.2.95/plasma/applets/tasks/tasks.cpp:165
#11 0xb5c967ab in Plasma::Applet::flushPendingConstraintsEvents (this=0x993b460) at /build/buildd/kde4libs-4.2.95/plasma/applet.cpp:1160
#12 0xb5c96f38 in Plasma::Applet::timerEvent (this=0x993b460, event=0xbfb73b2c) at /build/buildd/kde4libs-4.2.95/plasma/applet.cpp:2090
#13 0xb7e5715f in QObject::event (this=0x993b460, e=0xbfb73b2c) at kernel/qobject.cpp:1082
#14 0xb6f59c77 in QGraphicsWidget::event (this=0x993b460, event=0xbfb73b2c) at graphicsview/qgraphicswidget.cpp:1317
#15 0xb68d6e9c in QApplicationPrivate::notify_helper (this=0x9509400, receiver=0x993b460, e=0xbfb73b2c) at kernel/qapplication.cpp:4084
#16 0xb68df19e in QApplication::notify (this=0x9503590, receiver=0x993b460, e=0xbfb73b2c) at kernel/qapplication.cpp:3631
#17 0xb74113dd in KApplication::notify (this=0x9503590, receiver=0x993b460, event=0xbfb73b2c) at /build/buildd/kde4libs-4.2.95/kdeui/kernel/kapplication.cpp:302
#18 0xb7e46a3b in QCoreApplication::notifyInternal (this=0x9503590, receiver=0x993b460, event=0xbfb73b2c) at kernel/qcoreapplication.cpp:602
#19 0xb7e75d71 in QTimerInfoList::activateTimers (this=0x950c134) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#20 0xb7e724e0 in timerSourceDispatch (source=0x950c100) at kernel/qeventdispatcher_glib.cpp:164
#21 0xb6469b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#22 0xb646d0eb in ?? () from /usr/lib/libglib-2.0.so.0
#23 0xb646d268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#24 0xb7e72438 in QEventDispatcherGlib::processEvents (this=0x9506bf8, flags={i = -1078510424}) at kernel/qeventdispatcher_glib.cpp:323
#25 0xb6978365 in QGuiEventDispatcherGlib::processEvents (this=0x9506bf8, flags={i = -1078510376}) at kernel/qguieventdispatcher_glib.cpp:202
#26 0xb7e4506a in QEventLoop::processEvents (this=0xbfb73d50, flags={i = -1078510312}) at kernel/qeventloop.cpp:149
#27 0xb7e454aa in QEventLoop::exec (this=0xbfb73d50, flags={i = -1078510248}) at kernel/qeventloop.cpp:200
#28 0xb7e47959 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#29 0xb68d6d17 in QApplication::exec () at kernel/qapplication.cpp:3553
#30 0xb4a81510 in kdemain (argc=1, argv=0x94dad38) at /build/buildd/kdebase-workspace-4.2.95/plasma/shells/desktop/main.cpp:50
#31 0x0804e1c0 in launch (argc=1, _name=0x94d0ee4 "/usr/bin/plasma-desktop", args=0x94d0efc "", cwd=0x0, envc=0, envs=0x94d0f00 "", reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x80512d1 "0") at /build/buildd/kde4libs-4.2.95/kinit/kinit.cpp:672
#32 0x0804e99d in handle_launcher_request (sock=7, who=<value optimized out>) at /build/buildd/kde4libs-4.2.95/kinit/kinit.cpp:1164
#33 0x0804ef25 in handle_requests (waitForPid=0) at /build/buildd/kde4libs-4.2.95/kinit/kinit.cpp:1357
#34 0x0804fb0a in main (argc=2, argv=0xbfb74544, envp=0xbfb74550) at /build/buildd/kde4libs-4.2.95/kinit/kinit.cpp:1784

Reported using DrKonqi
Comment 1 Beat Wolf 2009-07-07 19:46:26 UTC
*** Bug 196848 has been marked as a duplicate of this bug. ***
Comment 2 FiNeX 2009-07-13 23:32:50 UTC
*** Bug 200096 has been marked as a duplicate of this bug. ***
Comment 3 Dario Andres 2009-07-14 18:55:07 UTC
*** Bug 200200 has been marked as a duplicate of this bug. ***
Comment 4 Dario Andres 2009-07-15 21:57:43 UTC
*** Bug 200358 has been marked as a duplicate of this bug. ***
Comment 5 Dario Andres 2009-07-15 22:45:24 UTC
*** Bug 200365 has been marked as a duplicate of this bug. ***
Comment 6 Dario Andres 2009-07-16 01:03:26 UTC
*** Bug 200375 has been marked as a duplicate of this bug. ***
Comment 7 op 2009-07-16 13:52:37 UTC
Another occurence ... I have active desktop edges turned on, and just navigated from one desktop to another over the desktop edge.

qt: 4.5
kde 4.3 rc2 (4.2.96)
OS: kubuntu jaunty + backports


Application: Plasma Workspace (kdeinit4), signal: Segmentation fault
[Current thread is 0 (LWP 4696)]

Thread 2 (Thread 0xace0fb90 (LWP 4701)):
#0  0x00dae422 in __kernel_vsyscall ()
#1  0x006d10e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x056ff2ed in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x001679b2 in QWaitCondition::wait (this=0xa52db70, mutex=0xa52db6c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0x004bf152 in QHostInfoAgent::run (this=0xa52db60) at kernel/qhostinfo.cpp:260
#5  0x0016696e in QThreadPrivate::start (arg=0xa52db60) at thread/qthread_unix.cpp:189
#6  0x006cd4ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x056f049e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb7f0ba10 (LWP 4696)):
[KCrash Handler]
#6  AbstractTaskItem::basicPreferredSize (this=0xb35ad28) at /build/buildd/kdebase-workspace-4.2.96/plasma/applets/tasks/tasks.h:92
#7  0x016544d1 in TaskItemLayout::preferredColumns (this=0xa3c57b8) at /build/buildd/kdebase-workspace-4.2.96/plasma/applets/tasks/taskitemlayout.cpp:206
#8  0x01654efd in TaskItemLayout::gridLayoutSize (this=0xa3c57b8) at /build/buildd/kdebase-workspace-4.2.96/plasma/applets/tasks/taskitemlayout.cpp:222
#9  0x01654fbb in TaskItemLayout::layoutItems (this=0xa3c57b8) at /build/buildd/kdebase-workspace-4.2.96/plasma/applets/tasks/taskitemlayout.cpp:245
#10 0x01655ba2 in TaskItemLayout::insert (this=0xa3c57b8, index=3, item=0xb34f8b0) at /build/buildd/kdebase-workspace-4.2.96/plasma/applets/tasks/taskitemlayout.cpp:125
#11 0x01655d97 in TaskItemLayout::addTaskItem (this=0xa3c57b8, item=0xb34f8b0) at /build/buildd/kdebase-workspace-4.2.96/plasma/applets/tasks/taskitemlayout.cpp:82
#12 0x01662b25 in TaskGroupItem::itemAdded (this=0xa356c58, groupableItem=0xb134318) at /build/buildd/kdebase-workspace-4.2.96/plasma/applets/tasks/taskgroupitem.cpp:477
#13 0x0166318c in TaskGroupItem::qt_metacall (this=0xa356c58, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbf91796c)
    at /build/buildd/kdebase-workspace-4.2.96/obj-i486-linux-gnu/plasma/applets/tasks/taskgroupitem.moc:113
#14 0x00270ca8 in QMetaObject::activate (sender=0xa3a8a00, from_signal_index=21, to_signal_index=21, argv=0xbf91796c) at kernel/qobject.cpp:3069
#15 0x00271932 in QMetaObject::activate (sender=0xa3a8a00, m=0x6da3b74, local_signal_index=0, argv=0xbf91796c) at kernel/qobject.cpp:3143
#16 0x06d94f23 in TaskManager::TaskGroup::itemAdded (this=0xa3a8a00, _t1=0xb134318) at /build/buildd/kdebase-workspace-4.2.96/obj-i486-linux-gnu/libs/taskmanager/taskgroup.moc:139
#17 0x06d95b85 in TaskManager::TaskGroup::add (this=0xa3a8a00, item=0xb134318) at /build/buildd/kdebase-workspace-4.2.96/libs/taskmanager/taskgroup.cpp:138
#18 0x06d82736 in TaskManager::ProgramGroupingStrategy::handleItem (this=0xb18f5b0, item=0xb134318)
    at /build/buildd/kdebase-workspace-4.2.96/libs/taskmanager/strategies/programgroupingstrategy.cpp:154
#19 0x06d7bd25 in TaskManager::GroupManagerPrivate::addTask (this=0xa3c50e8, task={d = 0xbf917ad4}) at /build/buildd/kdebase-workspace-4.2.96/libs/taskmanager/groupmanager.cpp:288
#20 0x06d7cb3a in TaskManager::GroupManagerPrivate::actuallyReloadTasks (this=0xa3c50e8) at /build/buildd/kdebase-workspace-4.2.96/libs/taskmanager/groupmanager.cpp:155
#21 0x06d7e0de in TaskManager::GroupManager::qt_metacall (this=0xa3959b0, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbf917ba8)
    at /build/buildd/kdebase-workspace-4.2.96/obj-i486-linux-gnu/libs/taskmanager/groupmanager.moc:108
#22 0x00270ca8 in QMetaObject::activate (sender=0xa3c5128, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3069
#23 0x00271932 in QMetaObject::activate (sender=0xa3c5128, m=0x34d904, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3143
#24 0x002ac717 in QTimer::timeout (this=0xa3c5128) at .moc/release-shared/moc_qtimer.cpp:128
#25 0x002766fe in QTimer::timerEvent (this=0xa3c5128, e=0xbf91802c) at kernel/qtimer.cpp:261
#26 0x0026b15f in QObject::event (this=0xa3c5128, e=0xbf91802c) at kernel/qobject.cpp:1082
#27 0x0237ee9c in QApplicationPrivate::notify_helper (this=0x9f22ea8, receiver=0xa3c5128, e=0xbf91802c) at kernel/qapplication.cpp:4084
#28 0x0238719e in QApplication::notify (this=0x9f1d310, receiver=0xa3c5128, e=0xbf91802c) at kernel/qapplication.cpp:3631
#29 0x00f714dd in KApplication::notify (this=0x9f1d310, receiver=0xa3c5128, event=0xbf91802c) at /build/buildd/kde4libs-4.2.96/kdeui/kernel/kapplication.cpp:302
#30 0x0025aa3b in QCoreApplication::notifyInternal (this=0x9f1d310, receiver=0xa3c5128, event=0xbf91802c) at kernel/qcoreapplication.cpp:602
#31 0x00289d71 in QTimerInfoList::activateTimers (this=0x9f25b74) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#32 0x002864e0 in timerSourceDispatch (source=0x9f25b40) at kernel/qeventdispatcher_glib.cpp:164
#33 0x02027b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#34 0x0202b0eb in ?? () from /usr/lib/libglib-2.0.so.0
#35 0x0202b268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#36 0x00286438 in QEventDispatcherGlib::processEvents (this=0x9f22bb0, flags={i = -1080983128}) at kernel/qeventdispatcher_glib.cpp:323
#37 0x02420365 in QGuiEventDispatcherGlib::processEvents (this=0x9f22bb0, flags={i = -1080983080}) at kernel/qguieventdispatcher_glib.cpp:202
#38 0x0025906a in QEventLoop::processEvents (this=0xbf918250, flags={i = -1080983016}) at kernel/qeventloop.cpp:149
#39 0x002594aa in QEventLoop::exec (this=0xbf918250, flags={i = -1080982952}) at kernel/qeventloop.cpp:200
#40 0x0025b959 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#41 0x0237ed17 in QApplication::exec () at kernel/qapplication.cpp:3553
#42 0x013ad5d0 in kdemain (argc=1, argv=0x9eb94c8) at /build/buildd/kdebase-workspace-4.2.96/plasma/shells/desktop/main.cpp:50
#43 0x0804e27d in launch (argc=1, _name=0x9eba57c "/usr/bin/plasma-desktop", args=0x9eba594 "", cwd=0x0, envc=0, envs=0x9eba598 "", reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x8051391 "0") at /build/buildd/kde4libs-4.2.96/kinit/kinit.cpp:676
#44 0x0804ea5d in handle_launcher_request (sock=7, who=<value optimized out>) at /build/buildd/kde4libs-4.2.96/kinit/kinit.cpp:1168
#45 0x0804efe5 in handle_requests (waitForPid=0) at /build/buildd/kde4libs-4.2.96/kinit/kinit.cpp:1361
#46 0x0804fbca in main (argc=2, argv=0xbf918a44, envp=0xbf918a50) at /build/buildd/kde4libs-4.2.96/kinit/kinit.cpp:1788
Comment 8 Jonathan Thomas 2009-07-20 18:14:18 UTC
*** Bug 200903 has been marked as a duplicate of this bug. ***
Comment 9 Luke-Jr 2009-07-20 18:48:28 UTC
I also have a single active desktop edge enabled, but it doesn't actually work... I have compositing disabled.
Comment 10 Luke-Jr 2009-07-20 18:55:01 UTC
Disabled single active desktop edge and got another crash just now...
Comment 11 op 2009-07-20 21:23:18 UTC
It also happens sometimes after closing a window ...
Comment 12 Dario Andres 2009-07-22 15:04:47 UTC
*** Bug 201091 has been marked as a duplicate of this bug. ***
Comment 13 Dario Andres 2009-07-30 00:22:09 UTC
*** Bug 201939 has been marked as a duplicate of this bug. ***
Comment 14 Aaron J. Seigo 2009-07-30 22:10:17 UTC
*** Bug 201966 has been marked as a duplicate of this bug. ***
Comment 15 Dario Andres 2009-07-31 00:11:47 UTC
*** Bug 202034 has been marked as a duplicate of this bug. ***
Comment 16 Jonathan Thomas 2009-08-01 01:06:26 UTC
*** Bug 202107 has been marked as a duplicate of this bug. ***
Comment 17 Jonathan Thomas 2009-08-01 01:10:30 UTC
*** Bug 202003 has been marked as a duplicate of this bug. ***
Comment 18 Jonathan Thomas 2009-08-02 17:14:41 UTC
*** Bug 202318 has been marked as a duplicate of this bug. ***
Comment 19 Aaron J. Seigo 2009-08-03 08:39:19 UTC
*** Bug 202361 has been marked as a duplicate of this bug. ***
Comment 20 Aaron J. Seigo 2009-08-03 08:39:32 UTC
*** Bug 201386 has been marked as a duplicate of this bug. ***
Comment 21 Aaron J. Seigo 2009-08-03 08:39:40 UTC
*** Bug 199987 has been marked as a duplicate of this bug. ***
Comment 22 Aaron J. Seigo 2009-08-03 08:40:49 UTC
*** Bug 202368 has been marked as a duplicate of this bug. ***
Comment 23 Dario Andres 2009-08-05 18:54:52 UTC
*** Bug 202645 has been marked as a duplicate of this bug. ***
Comment 24 FiNeX 2009-08-05 23:09:29 UTC
*** Bug 202698 has been marked as a duplicate of this bug. ***
Comment 25 Aaron J. Seigo 2009-08-06 01:12:49 UTC
*** Bug 199723 has been marked as a duplicate of this bug. ***
Comment 26 op 2009-08-06 13:09:38 UTC
Created attachment 35910 [details]
another crash thread dump

I just started KDE and after few moments i got crash of plasma (KDE 4.3.0-0ubuntu1 on jaunty).
Comment 27 Dario Andres 2009-08-07 14:12:02 UTC
*** Bug 202855 has been marked as a duplicate of this bug. ***
Comment 28 Dario Andres 2009-08-07 22:12:05 UTC
*** Bug 203004 has been marked as a duplicate of this bug. ***
Comment 29 Dario Andres 2009-08-08 21:41:50 UTC
*** Bug 203093 has been marked as a duplicate of this bug. ***
Comment 30 FiNeX 2009-08-09 14:55:05 UTC
*** Bug 203174 has been marked as a duplicate of this bug. ***
Comment 31 FiNeX 2009-08-09 14:55:11 UTC
*** Bug 203129 has been marked as a duplicate of this bug. ***
Comment 32 Beat Wolf 2009-08-10 11:03:13 UTC
*** Bug 203238 has been marked as a duplicate of this bug. ***
Comment 33 Andreas Pietzowski 2009-08-10 22:57:46 UTC
I also figured out that it happens more often when you activate the effect "desktop cube animation while desktop switching".
Comment 34 Dario Andres 2009-08-11 16:27:32 UTC
*** Bug 203437 has been marked as a duplicate of this bug. ***
Comment 35 Dario Andres 2009-08-11 23:01:58 UTC
*** Bug 203454 has been marked as a duplicate of this bug. ***
Comment 36 Dario Andres 2009-08-12 05:12:34 UTC
*** Bug 203493 has been marked as a duplicate of this bug. ***
Comment 37 Dario Andres 2009-08-12 15:56:19 UTC
*** Bug 203577 has been marked as a duplicate of this bug. ***
Comment 38 Dario Andres 2009-08-13 00:34:05 UTC
*** Bug 203634 has been marked as a duplicate of this bug. ***
Comment 39 Dario Andres 2009-08-14 22:39:58 UTC
*** Bug 203840 has been marked as a duplicate of this bug. ***
Comment 40 Dario Andres 2009-08-14 22:45:42 UTC
*** Bug 203776 has been marked as a duplicate of this bug. ***
Comment 41 Mihai RUSU 2009-08-14 22:54:10 UTC
For me it crashes 6-7 times per day. I think it's related to switching desktops (my normal work flow is to switch desktops very fast and very often with keyboard shortcuts). Just try to switch between 2 desktops very fast for a minute or so and it's inevitable to get the crash.
Comment 42 Dario Andres 2009-08-15 17:52:48 UTC
*** Bug 203939 has been marked as a duplicate of this bug. ***
Comment 43 FiNeX 2009-08-16 23:29:31 UTC
*** Bug 204093 has been marked as a duplicate of this bug. ***
Comment 44 Detlev Casanova 2009-08-18 12:04:03 UTC
I can reproduce the bug at will : 
I go to a virtual desktop with windows grouped in the taskbar, then, to a virtual desktop with no window and then, switch back to the first virtual desktop I was on and finally, go back to the empty virtual desktop.

It crashes every time and, at the 3rd step, the first task item is empty, the other items have been shifted 1 place.

Also, if I don't go back to the same virtual desktop I first was, there is no problem.

For instance :
* Desktop 1 : firefox, kontact, 6 konqueror and 2 kopete windows
* Desktop 2 : 4 okular
* 3 and 4 : empty.

If I do 1 -> 3 -> 1 -> 3 : crash but 1 -> 3 -> 2 -> 3 has no probem. The switch has not to be quick the crash always happens
Comment 45 Fernando Pozo 2009-08-19 17:05:50 UTC
Created attachment 36280 [details]
inverse trace of plasma-desktop crash
Comment 46 Dario Andres 2009-08-19 17:55:26 UTC
*** Bug 204421 has been marked as a duplicate of this bug. ***
Comment 47 Beat Wolf 2009-08-20 15:28:24 UTC
*** Bug 204496 has been marked as a duplicate of this bug. ***
Comment 48 Beat Wolf 2009-08-20 15:37:38 UTC
*** Bug 204472 has been marked as a duplicate of this bug. ***
Comment 49 FiNeX 2009-08-21 10:01:57 UTC
*** Bug 204626 has been marked as a duplicate of this bug. ***
Comment 50 Dario Andres 2009-08-21 20:03:13 UTC
*** Bug 204676 has been marked as a duplicate of this bug. ***
Comment 51 g111 2009-08-22 11:35:05 UTC
Are more backtraces of any help?

What I did:
I have a hotkey leftWindowsKey+t to open a konsole window. Because I was trying to reproduce something for another bug report, I wanted to open 20 konsole windows. I did this by quickly pressing the hotkey 20 times. It took a while until all konsole windows did show up - one after another. After approx. 10 windows where opened, plasma crashed and restarted.

On this PC I have composite effects activated. The settings for the taskbar are the same as described here in bug 204676 (where composite was disabled).

Application: Plasma Workspace (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb6055b20 (LWP 4546))]

Thread 2 (Thread 0xa82d1b90 (LWP 4550)):
#0  0xb8067424 in __kernel_vsyscall ()
#1  0xb6780f65 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
#2  0xb695985d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
#3  0xb7e5e502 in QWaitConditionPrivate::wait (this=0xa5e9588, mutex=0xa5e9584, time=4294967295) at thread/qwaitcondition_unix.cpp:81
#4  QWaitCondition::wait (this=0xa5e9588, mutex=0xa5e9584, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb668663a in QMutexLocker::unlock (this=0xa5e9578) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:108
#6  ~QMutexLocker (this=0xa5e9578) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:104
#7  QHostInfoAgent::run (this=0xa5e9578) at kernel/qhostinfo.cpp:274
#8  0xb7e5d522 in QThreadPrivate::start (arg=0xa5e9578) at thread/qthread_unix.cpp:176
#9  0xb677d4b5 in start_thread () from /lib/i686/cmov/libpthread.so.0
#10 0xb694aa5e in clone () from /lib/i686/cmov/libc.so.6

Thread 1 (Thread 0xb6055b20 (LWP 4546)):
[KCrash Handler]
#6  Tasks::itemTopMargin (this=0xa6bbc00) at ../../../../plasma/applets/tasks/tasks.h:92
#7  AbstractTaskItem::basicPreferredSize (this=0xa6bbc00) at ../../../../plasma/applets/tasks/abstracttaskitem.cpp:100
#8  0xa83dd57c in TaskItemLayout::maximumRows (this=0xa526570) at ../../../../plasma/applets/tasks/taskitemlayout.cpp:185
#9  0xa83e6bf4 in TaskGroupItem::optimumCapacity (this=0xa53a790) at ../../../../plasma/applets/tasks/taskgroupitem.cpp:1224
#10 0xa83d8368 in Tasks::adjustGroupingStrategy (this=0xa3721d0) at ../../../../plasma/applets/tasks/tasks.cpp:241
#11 0xa83d85fc in Tasks::constraintsEvent (this=0xa3721d0, constraints=...) at ../../../../plasma/applets/tasks/tasks.cpp:165
#12 0xb5bc284e in Plasma::Applet::flushPendingConstraintsEvents (this=0xa3721d0) at ../../plasma/applet.cpp:1163
#13 0xb5bc2ee8 in Plasma::Applet::timerEvent (this=0xa3721d0, event=0xbfeb58ec) at ../../plasma/applet.cpp:2110
#14 0xb7f5eb6f in QObject::event (this=0xa3721d0, e=0xbfeb58ec) at kernel/qobject.cpp:1070
#15 0xb72496c7 in QGraphicsWidget::event (this=0xa3721d0, event=0xbfeb58ec) at graphicsview/qgraphicswidget.cpp:1261
#16 0xb6bfa7d4 in QApplicationPrivate::notify_helper (this=0x9e77800, receiver=0xa3721d0, e=0xbfeb58ec) at kernel/qapplication.cpp:4047
#17 0xb6c0293e in QApplication::notify (this=0x9e50598, receiver=0xa3721d0, e=0xbfeb58ec) at kernel/qapplication.cpp:3594
#18 0xb764400d in KApplication::notify (this=0x9e50598, receiver=0xa3721d0, event=0xbfeb58ec) at ../../kdeui/kernel/kapplication.cpp:302
#19 0xb7f4e96b in QCoreApplication::notifyInternal (this=0x9e50598, receiver=0xa3721d0, event=0xbfeb58ec) at kernel/qcoreapplication.cpp:579
#20 0xb7f7d301 in operator== (this=0x9e7a474) at kernel/qeventdispatcher_unix_p.h:77
#21 QTimerInfoList::activateTimers (this=0x9e7a474) at kernel/qeventdispatcher_unix.cpp:549
#22 0xb7f798a0 in QEventDispatcherGlib::processEvents (this=0x9e7a440, flags=...) at kernel/qeventdispatcher_glib.cpp:337
#23 0xb67c9368 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#24 0xb67cc8c3 in ?? () from /usr/lib/libglib-2.0.so.0
#25 0xb67cca48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#26 0xb7f797f8 in QEventDispatcherGlib::hasPendingEvents (this=0x9e77148) at kernel/qeventdispatcher_glib.cpp:342
#27 0xb6c99f85 in QGuiEventDispatcherGlib::startingUp (this=0x9e77148) at kernel/qguieventdispatcher_glib.cpp:215
#28 0xb7f4cfba in QEventLoop::quit (this=0xbfeb5b10) at kernel/qeventloop.cpp:322
#29 0xb7f4d402 in QVector<QEventLoop*>::append (this=0xbfeb5b10, flags=...) at ../../include/QtCore/../../src/corelib/tools/qvector.h:530
#30 QStack<QEventLoop*>::push (this=0xbfeb5b10, flags=...) at ../../include/QtCore/../../src/corelib/tools/qstack.h:59
#31 QEventLoop::exec (this=0xbfeb5b10, flags=...) at kernel/qeventloop.cpp:188
#32 0xb7f4f859 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:875
#33 0xb6bfa657 in QApplicationPrivate::emitLastWindowClosed () at kernel/qapplication.cpp:4660
#34 0xb3aa4ee0 in kdemain (argc=1, argv=0x9df4be0) at ../../../../plasma/shells/desktop/main.cpp:50
#35 0x0804e291 in launch (argc=1, _name=0x9de1d6c "/usr/bin/plasma-desktop", args=0x9de1d84 "", cwd=0x0, envc=0, envs=0x9de1d88 "", reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x805109f "0") at ../../kinit/kinit.cpp:676
#36 0x0804ea15 in handle_launcher_request (sock=8, who=<value optimized out>) at ../../kinit/kinit.cpp:1168
#37 0x0804ef3f in handle_requests (waitForPid=0) at ../../kinit/kinit.cpp:1361
#38 0x0804f6c9 in main (argc=2, argv=0xbfeb6394, envp=0xbfeb63a0) at ../../kinit/kinit.cpp:1788
Comment 52 g111 2009-08-22 12:05:01 UTC
I do not know if this is related to the problem:

I did open some konsole windows via a shell loop:
for i in {1..20}; do (konsole &); done

plasma did not crash with this, but there occured another thing:

A)
8 of the 20 started konsole windows did print out the following message:
<unknown program name>(8193)/: Communication problem with  "konsole" , it probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken." "

B)
The taskbar did not group some (I guess these 8) konsole windows. They each had an own taskbar entry. These entries were displayed on every(!) desktop. (The taskbar is configured to only display tasks of the current desktop.) After focusing such a konsole window and leaving and returning back to the current desktop, the task was put into the konsole task group.
Comment 53 g111 2009-08-22 12:14:15 UTC
Oh, I have to correct my statement: In the end only 12 konsole windows were listed in the group. So the konsole windows seem to really not having been started. (sorry for my english temporal grammar issues)
Comment 54 Dario Andres 2009-08-23 15:53:06 UTC
*** Bug 204841 has been marked as a duplicate of this bug. ***
Comment 55 Marco Martin 2009-08-23 20:30:03 UTC
*** Bug 204892 has been marked as a duplicate of this bug. ***
Comment 56 Dario Andres 2009-08-25 15:55:47 UTC
*** Bug 205081 has been marked as a duplicate of this bug. ***
Comment 57 Dario Andres 2009-08-26 01:53:53 UTC
*** Bug 205159 has been marked as a duplicate of this bug. ***
Comment 58 FiNeX 2009-08-26 18:24:47 UTC
*** Bug 205211 has been marked as a duplicate of this bug. ***
Comment 59 Beat Wolf 2009-08-27 10:22:31 UTC
*** Bug 205299 has been marked as a duplicate of this bug. ***
Comment 60 g111 2009-08-27 20:06:25 UTC
Is there working someone on this issue?

How I can reproduce a plasma crash at the moment (no crash handler occurs, so I do not know if this is the same crash as in this report):

* composite is disabled
* one desktop with many (68) windows (64 nedit, 4 konsole)
* other desktops with some firefox, thunderbird, etc. windows on
* Switching slowly through the desktops is no problem as long as you wait until the desktop has been drawn completely.
* When switching very fast through the desktops (by hotkeys) and continuing to the next desktop before the current (especially in case of the 68 windows desktop) was finished to draw, plasma crashes and restarts.

In the ~/.xsession-errors I see:
QGraphicsScene::removeItem: item 0xa2ce000's scene (0x0) is different from this scene (0x9ccc1e8)
KCrash: Application 'plasma-desktop' crashing...                                                 
QDBusObjectPath: invalid path ""                                                                 
QLayout: Attempting to add QLayout "" to QWidget "", which already has a layout                  
QLayout: Attempting to add QLayout "" to QWidget "", which already has a layout
Comment 61 Aaron J. Seigo 2009-08-27 20:28:42 UTC
*** Bug 205365 has been marked as a duplicate of this bug. ***
Comment 62 tiger 2009-08-28 13:37:23 UTC
any one plz help i want the patch for this problem
Comment 63 Dario Andres 2009-08-28 14:24:41 UTC
*** Bug 205437 has been marked as a duplicate of this bug. ***
Comment 64 Marquitox 2009-08-28 16:24:20 UTC
Is this going to be solved?
Comment 65 Beat Wolf 2009-08-28 16:49:18 UTC
*** Bug 205489 has been marked as a duplicate of this bug. ***
Comment 66 Aaron J. Seigo 2009-08-28 18:16:00 UTC
@tiger: there isn't one yet; that's why the report isn't closed.

@Marquitox: yes, of course. it's a high priority item for our team and will get resolved. we closed a number of very difficult crashes in the taskbar in 4.3, but unfortunately this one became apparent with the release of 4.3. we do care about the stability of this widget, and we haven't stopped working on it :)
Comment 67 tiger 2009-08-28 18:22:55 UTC
thanks  Aaron J. Seigo i wish u luck and thanks for ur effort
Comment 68 Aaron J. Seigo 2009-08-28 18:35:48 UTC
*** Bug 205479 has been marked as a duplicate of this bug. ***
Comment 69 Aaron J. Seigo 2009-08-28 18:36:46 UTC
*** Bug 205486 has been marked as a duplicate of this bug. ***
Comment 70 jozzek 2009-08-28 21:35:31 UTC
See <https://bugs.kde.org/show_bug.cgi?id=205479> for more info.

Tried with more programs open and in the same login session - that is, I tried to crash secondary plasma (runs with parameter --nocrashhandler, maybe this is the key).
Procedure:
1. Opened first instance of Dolphin (Home).
2. I attached SD card into USB reader and opened with Dolphin in a new copy of Dolphin. 
3. Nothing weird happened.

Crash didn't appear again. Debuginfo's now installed for complete KDE, except KDE3.
Oh yes, I apologize - I used different reader from the same manufacturer and attached one USB key this time to see if this possibly affects. Maybe it does or --nocrashhandler switch does the job. 
And I forgot to mention that I pulled out some USB cables between boot time in the first place and rearranged them in other ports to achieve nicer look. Was I evil, poor machine, wasn't I? ];->
Comment 71 Aaron J. Seigo 2009-08-29 09:39:56 UTC
*** Bug 205555 has been marked as a duplicate of this bug. ***
Comment 72 g111 2009-08-29 11:18:50 UTC
@Aaron: Thank you for the status report. Now it would be interesting if:

a) Can you (the developers) reproduce the crash?
b) Do you need more information and test cases?
Comment 73 Aaron J. Seigo 2009-08-29 13:09:11 UTC
a) not reliably, but that's to be expected due to the nature of the bug (which we do know)

b) maybe; if we do, we'll post a follow up to this report.

thanks for the interest.
Comment 74 Thomas Kallenberg 2009-08-30 00:30:35 UTC
I managed to prevent the bug by removing the "only when taskbar is full" option in the task manager settings...
Comment 75 Mathias Panzenböck 2009-08-30 01:20:48 UTC
Ha, this explains why STasks and Smooth-Tasks do not suffer from this problem. We do not provide that option (yet).
Comment 76 Aaron J. Seigo 2009-08-30 11:45:19 UTC
*** Bug 205670 has been marked as a duplicate of this bug. ***
Comment 77 Konstantin 2009-08-30 17:30:59 UTC
*** Bug 205704 has been marked as a duplicate of this bug. ***
Comment 78 Dario Andres 2009-08-30 21:44:22 UTC
*** Bug 205719 has been marked as a duplicate of this bug. ***
Comment 79 Beat Wolf 2009-09-01 00:34:12 UTC
*** Bug 205838 has been marked as a duplicate of this bug. ***
Comment 80 Beat Wolf 2009-09-01 22:25:38 UTC
*** Bug 205924 has been marked as a duplicate of this bug. ***
Comment 81 Dario Andres 2009-09-01 22:43:42 UTC
*** Bug 205926 has been marked as a duplicate of this bug. ***
Comment 82 FiNeX 2009-09-03 16:27:21 UTC
*** Bug 206128 has been marked as a duplicate of this bug. ***
Comment 83 FiNeX 2009-09-03 16:27:24 UTC
*** Bug 206097 has been marked as a duplicate of this bug. ***
Comment 84 FiNeX 2009-09-03 21:08:53 UTC
*** Bug 206164 has been marked as a duplicate of this bug. ***
Comment 85 Dario Andres 2009-09-04 00:06:36 UTC
*** Bug 206153 has been marked as a duplicate of this bug. ***
Comment 86 Dario Andres 2009-09-04 00:08:34 UTC
*** Bug 206084 has been marked as a duplicate of this bug. ***
Comment 87 Dario Andres 2009-09-04 14:58:26 UTC
*** Bug 206210 has been marked as a duplicate of this bug. ***
Comment 88 Dario Andres 2009-09-04 14:58:40 UTC
*** Bug 206202 has been marked as a duplicate of this bug. ***
Comment 89 FiNeX 2009-09-05 11:07:44 UTC
*** Bug 206332 has been marked as a duplicate of this bug. ***
Comment 90 Dario Andres 2009-09-05 15:46:56 UTC
*** Bug 206373 has been marked as a duplicate of this bug. ***
Comment 91 Dario Andres 2009-09-05 15:49:00 UTC
*** Bug 206359 has been marked as a duplicate of this bug. ***
Comment 92 g111 2009-09-06 10:57:34 UTC
I have tried to uncheck the "only when taskbar is full" option and indeed it seems to prevent the crashes.

As the crash seems to happen when switching desktops faster than they need to completely be redrawn (so the taskbar might run into a race condition?), I thought about an idea to work around this: Is it possible to provide each desktop with its own taskbar? This would mean that it had not to rebuild its content on every desktop switch. Another advantage was that desktop switches would become faster, especially with composite deactivated. Currently I can see the taskbar redraws when many windows are opened.
Comment 93 Dario Andres 2009-09-06 15:46:27 UTC
*** Bug 206496 has been marked as a duplicate of this bug. ***
Comment 94 Dario Andres 2009-09-06 15:52:22 UTC
*** Bug 206464 has been marked as a duplicate of this bug. ***
Comment 95 Mathias Panzenböck 2009-09-06 16:01:58 UTC
(In reply to comment #92)
> Is it possible to provide each desktop with its own taskbar?

I also think this might be good idea. However, this would need changes in libtaskmanager and I think also in plamsa itself, because the panel isn't per desktop but only once for all desktops. Some kind of options where you (as a plasma applet programmer) provide to plasma as many widgets as there are desktops might be a solution. I don't know how feasible this is, though.
Comment 96 Beat Wolf 2009-09-06 16:04:26 UTC
would be a workaround for this bug anyway. so just lets hope that a fix is comming soon.
Comment 97 Dario Andres 2009-09-06 23:22:58 UTC
*** Bug 206530 has been marked as a duplicate of this bug. ***
Comment 98 Dario Andres 2009-09-07 13:38:07 UTC
*** Bug 206613 has been marked as a duplicate of this bug. ***
Comment 99 Dario Andres 2009-09-07 23:07:31 UTC
*** Bug 206677 has been marked as a duplicate of this bug. ***
Comment 100 Dario Andres 2009-09-07 23:56:31 UTC
*** Bug 206690 has been marked as a duplicate of this bug. ***
Comment 101 FiNeX 2009-09-08 11:39:24 UTC
*** Bug 206719 has been marked as a duplicate of this bug. ***
Comment 102 FiNeX 2009-09-08 23:52:38 UTC
*** Bug 206795 has been marked as a duplicate of this bug. ***
Comment 103 FiNeX 2009-09-08 23:58:05 UTC
*** Bug 206791 has been marked as a duplicate of this bug. ***
Comment 104 Beat Wolf 2009-09-09 12:19:49 UTC
*** Bug 206849 has been marked as a duplicate of this bug. ***
Comment 105 Dario Andres 2009-09-11 16:39:30 UTC
*** Bug 207077 has been marked as a duplicate of this bug. ***
Comment 106 Dario Andres 2009-09-11 16:40:09 UTC
*** Bug 207074 has been marked as a duplicate of this bug. ***
Comment 107 Dario Andres 2009-09-12 03:56:06 UTC
*** Bug 207141 has been marked as a duplicate of this bug. ***
Comment 108 Alex Merry 2009-09-14 16:13:25 UTC
Note that this is not caused by virtual desktops as such - it seems to be caused by changes in the items in the taskbar.  It can be triggered just by closing or opening a window (as the duplicate bugs attest).
Comment 109 Dario Andres 2009-09-15 04:03:37 UTC
*** Bug 207393 has been marked as a duplicate of this bug. ***
Comment 110 Dario Andres 2009-09-15 04:04:25 UTC
*** Bug 207399 has been marked as a duplicate of this bug. ***
Comment 111 Dario Andres 2009-09-16 18:46:13 UTC
*** Bug 207593 has been marked as a duplicate of this bug. ***
Comment 112 Dario Andres 2009-09-17 13:53:44 UTC
*** Bug 207415 has been marked as a duplicate of this bug. ***
Comment 113 Beat Wolf 2009-09-17 16:13:32 UTC
*** Bug 207684 has been marked as a duplicate of this bug. ***
Comment 114 FiNeX 2009-09-17 16:43:49 UTC
*** Bug 207693 has been marked as a duplicate of this bug. ***
Comment 115 FiNeX 2009-09-18 13:53:00 UTC
*** Bug 207744 has been marked as a duplicate of this bug. ***
Comment 116 FiNeX 2009-09-18 23:21:14 UTC
*** Bug 207796 has been marked as a duplicate of this bug. ***
Comment 117 Dario Andres 2009-09-19 17:51:07 UTC
*** Bug 207896 has been marked as a duplicate of this bug. ***
Comment 118 Alex Merry 2009-09-19 22:23:36 UTC
Created attachment 37076 [details]
Valgrind log of plasma session

Valgrind says that WindowTaskItems are sticking around in TaskItemLayouts after they've been deleted (by using deleteLater).

Now, as far as I can see, this shouldn't be possible.  deleteLater is only called on AbstractTaskItems from one place (inside TaskGroupItem::ItemRemoved), and this method also removes the item from the associated TaskItemLayout.

I've put in some more debugging statements to try and track this down...
Comment 119 FiNeX 2009-09-20 23:38:35 UTC
*** Bug 208029 has been marked as a duplicate of this bug. ***
Comment 120 Dario Andres 2009-09-22 16:45:08 UTC
*** Bug 208163 has been marked as a duplicate of this bug. ***
Comment 121 Alex Merry 2009-09-22 16:48:13 UTC
Some debugging output.  Hexadecimal numbers are object pointers.

plasma-desktop(2488)/plasma TaskGroupItem::itemRemoved: Task item 0x2441940
a.k.a. "KMail" was removed from the group: cleaning up
plasma-desktop(2488)/plasma TaskGroupItem::itemRemoved: Removing task item
0x2441940 from the layout
plasma-desktop(2488)/plasma TaskItemLayout::remove: Layout 0x1a624c0 is
forgetting task item 0x2441940
plasma-desktop(2488)/plasma TaskGroupItem::itemRemoved: Scheduling task item
0x2441940 for deletion
plasma-desktop(2488)/plasma TaskGroupItem::itemAdded: Adding task item
0x2446730 to layout 0x1a624c0
plasma-desktop(2488)/plasma TaskItemLayout::remove: Layout 0x1a624c0 is
forgetting task item 0x2446730
plasma-desktop(2488)/plasma TaskGroupItem::itemPositionChanged: Inserting task
item 0x2446730 into layout 0x1a624c0
plasma-desktop(2488)/plasma TaskGroupItem::itemPositionChanged: Inserting task
item 0x2441940 into layout 0x1a624c0
plasma-desktop(2488)/plasma WindowTaskItem::~WindowTaskItem: Deleting window
task item 0x2441940
[crash]


So the TaskGroupItem is getting an itemRemoved signal and scheduling the
WindowTaskItem for deletion.  Then it gets an itemPositionChanged signal on the
same task and re-inserts it into the layout.  When control returns to the event
loop, the item is deleted, and then something like TaskItemLayout::maximumRows
is called, which tries to call AbstractTaskItem::basicPreferredSize on the
deleted WindowTaskItem.
Comment 122 Dario Andres 2009-09-23 02:57:44 UTC
*** Bug 208221 has been marked as a duplicate of this bug. ***
Comment 123 op 2009-09-23 10:08:36 UTC
I have set Task manager to 

Grouping : do not group
Sorting : do not sort
only show tasks from current desktop (this choice I had before too I think) 

and I did not get a plasma crash since few weeks now.

hope that helps, op
Comment 124 g111 2009-09-23 11:00:20 UTC
@op: The problem is the "only when taskbar is full" grouping option. If you turn this off, but allow grouping in general, you will not see any such crashes as well. (at least you should not)
Comment 125 Beat Wolf 2009-09-24 16:46:21 UTC
*** Bug 208308 has been marked as a duplicate of this bug. ***
Comment 126 Beat Wolf 2009-09-24 16:47:39 UTC
*** Bug 208331 has been marked as a duplicate of this bug. ***
Comment 127 Beat Wolf 2009-09-24 16:50:31 UTC
*** Bug 208399 has been marked as a duplicate of this bug. ***
Comment 128 Alex Merry 2009-09-24 18:41:00 UTC
SVN commit 1027743 by alexmerry:

Make sure we don't add a window task that has been scheduled for deletion back into the layout.

BUG: 199325



 M  +10 -1     taskgroupitem.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1027743
Comment 129 Alex Merry 2009-09-24 19:00:29 UTC
SVN commit 1027747 by alexmerry:

Backport r1027743: Make sure we don't add a window task that has been scheduled for deletion back
into the layout.

CCBUG: 199325



 M  +10 -1     taskgroupitem.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1027747
Comment 130 Dario Andres 2009-09-25 00:53:24 UTC
*** Bug 208447 has been marked as a duplicate of this bug. ***
Comment 131 Dario Andres 2009-09-25 01:31:01 UTC
*** Bug 208405 has been marked as a duplicate of this bug. ***
Comment 132 Dario Andres 2009-09-25 02:47:28 UTC
*** Bug 208455 has been marked as a duplicate of this bug. ***
Comment 133 Beat Wolf 2009-09-25 16:23:55 UTC
*** Bug 208511 has been marked as a duplicate of this bug. ***
Comment 134 Dario Andres 2009-09-26 02:54:15 UTC
*** Bug 208567 has been marked as a duplicate of this bug. ***
Comment 135 Dario Andres 2009-09-26 02:55:23 UTC
*** Bug 208560 has been marked as a duplicate of this bug. ***
Comment 136 Alex Merry 2009-09-26 17:03:02 UTC
So... it seems I only fixed one of the possible causes of this crash.

Backtrace of another crash below.  Note that, leading up to this, the task bar had got confused: Despite having only one KMail window open, the task bar had grouped two entries for it together.  They shouldn't have been grouped anyway, as there was plenty of space in the taskbar.  Also, there was a blank space to the left of the group.  I opened the task bar settings window and clicked OK, and that caused it to re-arrange: one KMail entry on the task bar directly, then a grouping of a blank entry (presumably the one that was formerly on the left) and another KMail entry.

The crash occurred when I started Firefox.

Application: Plasma Workspace (kdeinit4), signal: Segmentation fault
[Current thread is 0 (LWP 2441)]

[snip uninteresting thread 2]

Thread 1 (Thread 0x7f25d62ca750 (LWP 2441)):
[KCrash Handler]
#5  0x00007f25b893c198 in Tasks::itemTopMargin (this=0x650064002f006c) at /home/kde-devel/src/KDE/kdebase/workspace/plasma/desktop/applets/tasks/tasks.h:88
#6  0x00007f25b89353b5 in AbstractTaskItem::basicPreferredSize (this=0x30c3fb0) at /home/kde-devel/src/KDE/kdebase/workspace/plasma/desktop/applets/tasks/abstracttaskitem.cpp:103
#7  0x00007f25b893297d in TaskItemLayout::preferredColumns (this=0x2b6c340) at /home/kde-devel/src/KDE/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:208
#8  0x00007f25b8932ae7 in TaskItemLayout::gridLayoutSize (this=0x2b6c340) at /home/kde-devel/src/KDE/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:224
#9  0x00007f25b8932ba4 in TaskItemLayout::layoutItems (this=0x2b6c340) at /home/kde-devel/src/KDE/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:247
#10 0x00007f25b8932499 in TaskItemLayout::remove (this=0x2b6c340, item=0x31af740) at /home/kde-devel/src/KDE/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:134
#11 0x00007f25b89321be in TaskItemLayout::removeTaskItem (this=0x2b6c340, item=0x31af740) at /home/kde-devel/src/KDE/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:91
#12 0x00007f25b89400c9 in TaskGroupItem::itemRemoved (this=0x2b6aba0, groupableItem=0x4026410) at /home/kde-devel/src/KDE/kdebase/workspace/plasma/desktop/applets/tasks/taskgroupitem.cpp:525
#13 0x00007f25b8943de6 in TaskGroupItem::qt_metacall (this=0x2b6aba0, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x7fff31a79650)
    at /home/kde-devel/build/KDE/kdebase/workspace/plasma/desktop/applets/tasks/taskgroupitem.moc:114
#14 0x00007f25d5dc5f39 in QMetaObject::activate (sender=0x2b69750, from_signal_index=22, to_signal_index=22, argv=0x7fff31a79650) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3119
#15 0x00007f25d5dc62dd in QMetaObject::activate (sender=0x2b69750, m=0x7f25ba9a63a0, local_signal_index=1, argv=0x7fff31a79650) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3193
#16 0x00007f25ba785e93 in TaskManager::TaskGroup::itemRemoved (this=0x2b69750, _t1=0x4026410) at /home/kde-devel/build/KDE/kdebase/workspace/libs/taskmanager/taskgroup.moc:152
#17 0x00007f25ba783a20 in TaskManager::TaskGroup::remove (this=0x2b69750, item=0x4026410) at /home/kde-devel/src/KDE/kdebase/workspace/libs/taskmanager/taskgroup.cpp:189
#18 0x00007f25ba7664f3 in TaskManager::GroupManagerPrivate::removeStartup (this=0x2b68f70, task={d = 0x2d73120}) at /home/kde-devel/src/KDE/kdebase/workspace/libs/taskmanager/groupmanager.cpp:192
#19 0x00007f25ba7681c7 in TaskManager::GroupManager::qt_metacall (this=0x2b68f30, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0x7fff31a798f0)
    at /home/kde-devel/build/KDE/kdebase/workspace/libs/taskmanager/groupmanager.moc:107
#20 0x00007f25d5dc5f39 in QMetaObject::activate (sender=0x2b68c20, from_signal_index=7, to_signal_index=7, argv=0x7fff31a798f0) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3119
#21 0x00007f25d5dc62dd in QMetaObject::activate (sender=0x2b68c20, m=0x7f25ba9a66e0, local_signal_index=3, argv=0x7fff31a798f0) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3193
#22 0x00007f25ba78a675 in TaskManager::TaskManager::startupRemoved (this=0x2b68c20, _t1={d = 0x2d73120}) at /home/kde-devel/build/KDE/kdebase/workspace/libs/taskmanager/taskmanager.moc:176
#23 0x00007f25ba789a9c in TaskManager::TaskManager::killStartup (this=0x2b68c20, id=@0x30c18f0) at /home/kde-devel/src/KDE/kdebase/workspace/libs/taskmanager/taskmanager.cpp:426
#24 0x00007f25ba78a33f in TaskManager::TaskManager::qt_metacall (this=0x2b68c20, _c=QMetaObject::InvokeMetaMethod, _id=11, _a=0x7fff31a79b70)
    at /home/kde-devel/build/KDE/kdebase/workspace/libs/taskmanager/taskmanager.moc:114
#25 0x00007f25d5dc5f39 in QMetaObject::activate (sender=0x2b6a9f0, from_signal_index=6, to_signal_index=6, argv=0x7fff31a79b70) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3119
#26 0x00007f25d5dc62dd in QMetaObject::activate (sender=0x2b6a9f0, m=0x7f25d448e620, local_signal_index=2, argv=0x7fff31a79b70) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3193
#27 0x00007f25d4037545 in KStartupInfo::gotRemoveStartup (this=0x2b6a9f0, _t1=@0x30c18f0, _t2=@0x30c18f8) at /home/kde-devel/build/KDE/kdelibs/kdeui/kstartupinfo.moc:114
#28 0x00007f25d402ffbc in KStartupInfo::Private::remove_startup_info_internal (this=0x2b69530, id_P=@0x30c18f0) at /home/kde-devel/src/KDE/kdelibs/kdeui/kernel/kstartupinfo.cpp:391
#29 0x00007f25d40323a3 in KStartupInfo::Private::find_pid (this=0x2b69530, pid_P=5933, hostname_P=@0x7fff31a79d80, id_O=0x7fff31a79f10, data_O=0x0)
    at /home/kde-devel/src/KDE/kdelibs/kdeui/kernel/kstartupinfo.cpp:792
#30 0x00007f25d4031d1c in KStartupInfo::Private::check_startup_internal (this=0x2b69530, w_P=56623165, id_O=0x7fff31a79f10, data_O=0x0)
    at /home/kde-devel/src/KDE/kdelibs/kdeui/kernel/kstartupinfo.cpp:722
#31 0x00007f25d40319d3 in KStartupInfo::checkStartup (this=0x2b6a9f0, w_P=56623165, id_O=@0x7fff31a79f10) at /home/kde-devel/src/KDE/kdelibs/kdeui/kernel/kstartupinfo.cpp:679
#32 0x00007f25ba789025 in TaskManager::TaskManager::windowAdded (this=0x2b68c20, w=56623165) at /home/kde-devel/src/KDE/kdebase/workspace/libs/taskmanager/taskmanager.cpp:252
#33 0x00007f25ba78a269 in TaskManager::TaskManager::qt_metacall (this=0x2b68c20, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7fff31a7a170)
    at /home/kde-devel/build/KDE/kdebase/workspace/libs/taskmanager/taskmanager.moc:109
#34 0x00007f25d5dc5f39 in QMetaObject::activate (sender=0x25f2120, from_signal_index=5, to_signal_index=5, argv=0x7fff31a7a170) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3119
#35 0x00007f25d5dc62dd in QMetaObject::activate (sender=0x25f2120, m=0x7f25d449e940, local_signal_index=1, argv=0x7fff31a7a170) at /home/kde-devel/kde-qt/src/corelib/kernel/qobject.cpp:3193
#36 0x00007f25d416e411 in KWindowSystem::windowAdded (this=0x25f2120, _t1=56623165) at /home/kde-devel/build/KDE/kdelibs/kdeui/kwindowsystem.moc:120
#37 0x00007f25d416a330 in KWindowSystemPrivate::addClient (this=0x2614880, w=56623165) at /home/kde-devel/src/KDE/kdelibs/kdeui/windowmanagement/kwindowsystem_x11.cpp:229
[snip boring stuff]
Comment 137 Alex Merry 2009-09-26 18:00:12 UTC
*** Bug 208617 has been marked as a duplicate of this bug. ***
Comment 138 Dario Andres 2009-09-26 20:16:34 UTC
*** Bug 208624 has been marked as a duplicate of this bug. ***
Comment 139 Beat Wolf 2009-09-27 11:48:13 UTC
*** Bug 208675 has been marked as a duplicate of this bug. ***
Comment 140 Beat Wolf 2009-09-27 12:27:18 UTC
*** Bug 208678 has been marked as a duplicate of this bug. ***
Comment 141 Dario Andres 2009-09-28 03:17:42 UTC
*** Bug 208734 has been marked as a duplicate of this bug. ***
Comment 142 Dario Andres 2009-09-29 03:18:50 UTC
*** Bug 208834 has been marked as a duplicate of this bug. ***
Comment 143 Aaron J. Seigo 2009-09-29 19:28:03 UTC
Alex: what tasks widget settings are you using? standard?
Comment 144 Aaron J. Seigo 2009-09-29 20:06:35 UTC
SVN commit 1029420 by aseigo:

make the layout track the lifetime of the pointers it contains; can testers using svn trunk let me know how this works for them? thanks.

CCMAIL:faure@kde.org
CCBUG:199325


 M  +2 -0      abstracttaskitem.cpp  
 M  +1 -0      abstracttaskitem.h  
 M  +0 -1      taskgroupitem.cpp  
 M  +7 -2      taskitemlayout.cpp  
 M  +7 -4      taskitemlayout.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1029420
Comment 145 Dario Andres 2009-09-30 14:07:58 UTC
*** Bug 208936 has been marked as a duplicate of this bug. ***
Comment 146 Dario Andres 2009-09-30 21:44:23 UTC
*** Bug 209024 has been marked as a duplicate of this bug. ***
Comment 147 Dario Andres 2009-10-01 00:17:24 UTC
Bug 207535 seems to have more information too..
Comment 148 Dario Andres 2009-10-01 00:17:33 UTC
*** Bug 207535 has been marked as a duplicate of this bug. ***
Comment 149 Beat Wolf 2009-10-01 11:36:05 UTC
*** Bug 209081 has been marked as a duplicate of this bug. ***
Comment 150 Dario Andres 2009-10-01 14:23:59 UTC
*** Bug 209091 has been marked as a duplicate of this bug. ***
Comment 151 Dario Andres 2009-10-02 03:55:52 UTC
*** Bug 209168 has been marked as a duplicate of this bug. ***
Comment 152 Beat Wolf 2009-10-02 14:31:51 UTC
*** Bug 209209 has been marked as a duplicate of this bug. ***
Comment 153 Dario Andres 2009-10-03 16:17:11 UTC
*** Bug 209294 has been marked as a duplicate of this bug. ***
Comment 154 Dario Andres 2009-10-03 20:13:33 UTC
*** Bug 209329 has been marked as a duplicate of this bug. ***
Comment 155 FiNeX 2009-10-04 15:46:50 UTC
*** Bug 209361 has been marked as a duplicate of this bug. ***
Comment 156 Beat Wolf 2009-10-08 12:09:17 UTC
*** Bug 209853 has been marked as a duplicate of this bug. ***
Comment 157 Dario Andres 2009-10-12 14:45:33 UTC
*** Bug 210297 has been marked as a duplicate of this bug. ***
Comment 158 Jeremy Sanders 2009-10-13 13:08:11 UTC
*** Bug 210426 has been marked as a duplicate of this bug. ***
Comment 159 Dario Andres 2009-10-14 16:52:47 UTC
Bug 210561 got this crash on 4.3.2
Comment 160 Dario Andres 2009-10-14 16:53:38 UTC
*** Bug 210561 has been marked as a duplicate of this bug. ***
Comment 161 Aaron J. Seigo 2009-10-14 23:11:22 UTC
SVN commit 1035377 by aseigo:

backport r1029419 since no issues have been reported with it; this should also resolve remaining issues associated with bug 199325. testing by people using this branch would be most appreciated.
BUG:199325


 M  +2 -0      abstracttaskitem.cpp  
 M  +1 -0      abstracttaskitem.h  
 M  +7 -2      taskitemlayout.cpp  
 M  +7 -4      taskitemlayout.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1035377
Comment 162 Aaron J. Seigo 2009-10-14 23:15:26 UTC
*** Bug 200773 has been marked as a duplicate of this bug. ***
Comment 163 Alex Merry 2009-10-19 22:50:56 UTC
Sorry, still getting it with latest from the 4.3 branch (r1036036).
Comment 164 Beat Wolf 2009-10-21 18:07:25 UTC
*** Bug 211345 has been marked as a duplicate of this bug. ***
Comment 165 Beat Wolf 2009-10-22 10:05:13 UTC
*** Bug 211403 has been marked as a duplicate of this bug. ***
Comment 166 Dario Andres 2009-10-22 23:21:59 UTC
*** Bug 211474 has been marked as a duplicate of this bug. ***
Comment 167 Dmitry 2009-10-25 12:59:14 UTC
Created attachment 37818 [details]
Yet another traceback for 4.3.

Now it seemed that it crashes on taskbar item deletion, not the basicPreferredSize
Comment 168 Dario Andres 2009-10-25 21:51:57 UTC
*** Bug 211712 has been marked as a duplicate of this bug. ***
Comment 169 Beat Wolf 2009-10-25 22:03:53 UTC
*** Bug 211833 has been marked as a duplicate of this bug. ***
Comment 170 Beat Wolf 2009-10-26 17:21:32 UTC
*** Bug 211945 has been marked as a duplicate of this bug. ***
Comment 171 Dario Andres 2009-10-28 13:20:38 UTC
*** Bug 212151 has been marked as a duplicate of this bug. ***
Comment 172 Dario Andres 2009-10-28 16:11:23 UTC
*** Bug 212173 has been marked as a duplicate of this bug. ***
Comment 173 Dario Andres 2009-10-28 16:50:36 UTC
*** Bug 212195 has been marked as a duplicate of this bug. ***
Comment 174 Dario Andres 2009-10-30 16:41:34 UTC
*** Bug 212410 has been marked as a duplicate of this bug. ***
Comment 175 Beat Wolf 2009-10-30 20:51:14 UTC
*** Bug 212400 has been marked as a duplicate of this bug. ***
Comment 176 Dario Andres 2009-10-31 13:34:46 UTC
*** Bug 212484 has been marked as a duplicate of this bug. ***
Comment 177 Dario Andres 2009-11-03 00:47:09 UTC
*** Bug 212817 has been marked as a duplicate of this bug. ***
Comment 178 Dario Andres 2009-11-03 00:50:12 UTC
*** Bug 212767 has been marked as a duplicate of this bug. ***
Comment 179 Aaron J. Seigo 2009-11-03 22:34:18 UTC
*** Bug 212987 has been marked as a duplicate of this bug. ***
Comment 180 Dario Andres 2009-11-04 13:43:07 UTC
*** Bug 213043 has been marked as a duplicate of this bug. ***
Comment 181 Beat Wolf 2009-11-05 16:46:49 UTC
*** Bug 213273 has been marked as a duplicate of this bug. ***
Comment 182 Beat Wolf 2009-11-07 08:39:59 UTC
*** Bug 213485 has been marked as a duplicate of this bug. ***
Comment 183 Dario Andres 2009-11-11 21:23:48 UTC
*** Bug 214173 has been marked as a duplicate of this bug. ***
Comment 184 Dario Andres 2009-11-12 22:27:55 UTC
*** Bug 214264 has been marked as a duplicate of this bug. ***
Comment 185 FiNeX 2009-11-13 10:50:06 UTC
*** Bug 214327 has been marked as a duplicate of this bug. ***
Comment 186 Beat Wolf 2009-11-14 00:53:07 UTC
*** Bug 214449 has been marked as a duplicate of this bug. ***
Comment 187 Beat Wolf 2009-11-14 00:53:39 UTC
*** Bug 214437 has been marked as a duplicate of this bug. ***
Comment 188 Beat Wolf 2009-11-14 00:54:40 UTC
*** Bug 214371 has been marked as a duplicate of this bug. ***
Comment 189 Dario Andres 2009-11-14 15:34:55 UTC
*** Bug 214521 has been marked as a duplicate of this bug. ***
Comment 190 Beat Wolf 2009-11-15 16:09:51 UTC
*** Bug 214674 has been marked as a duplicate of this bug. ***
Comment 191 Beat Wolf 2009-11-16 16:00:43 UTC
*** Bug 214808 has been marked as a duplicate of this bug. ***
Comment 192 Beat Wolf 2009-11-19 11:38:22 UTC
*** Bug 215255 has been marked as a duplicate of this bug. ***
Comment 193 Dario Andres 2009-11-19 14:14:51 UTC
*** Bug 215275 has been marked as a duplicate of this bug. ***
Comment 194 Dario Andres 2009-11-20 00:28:09 UTC
*** Bug 215320 has been marked as a duplicate of this bug. ***
Comment 195 Dario Andres 2009-11-21 23:32:43 UTC
*** Bug 215605 has been marked as a duplicate of this bug. ***
Comment 196 Beat Wolf 2009-11-22 18:28:32 UTC
*** Bug 215422 has been marked as a duplicate of this bug. ***
Comment 197 Beat Wolf 2009-11-23 10:03:38 UTC
*** Bug 215796 has been marked as a duplicate of this bug. ***
Comment 198 Dario Andres 2009-11-24 02:00:59 UTC
*** Bug 215915 has been marked as a duplicate of this bug. ***
Comment 199 Beat Wolf 2009-11-24 23:43:39 UTC
*** Bug 216004 has been marked as a duplicate of this bug. ***
Comment 200 Dario Andres 2009-11-25 13:38:05 UTC
*** Bug 216061 has been marked as a duplicate of this bug. ***
Comment 201 Dario Andres 2009-11-25 15:39:01 UTC
*** Bug 216106 has been marked as a duplicate of this bug. ***
Comment 202 Dmitry 2009-11-26 09:32:27 UTC
Some info: it seemed that this bug is not causing plasma to crash when composite  effects are turned off. I mean that task bar buttons gets misaligned, but no crash happened.
Comment 203 g111 2009-11-26 09:41:24 UTC
@Dmitry: I had this crash also with composite effects disabled. See bug 204676 or comment 51 above.
Comment 204 Dario Andres 2009-11-26 21:46:06 UTC
*** Bug 216306 has been marked as a duplicate of this bug. ***
Comment 205 Beat Wolf 2009-11-27 09:27:09 UTC
*** Bug 216339 has been marked as a duplicate of this bug. ***
Comment 206 Dario Andres 2009-11-27 20:03:59 UTC
*** Bug 216411 has been marked as a duplicate of this bug. ***
Comment 207 Beat Wolf 2009-11-28 10:50:23 UTC
*** Bug 216434 has been marked as a duplicate of this bug. ***
Comment 208 Beat Wolf 2009-11-28 10:51:19 UTC
*** Bug 216478 has been marked as a duplicate of this bug. ***
Comment 209 Beat Wolf 2009-11-28 10:51:30 UTC
*** Bug 216479 has been marked as a duplicate of this bug. ***
Comment 210 FiNeX 2009-12-01 17:54:52 UTC
*** Bug 216825 has been marked as a duplicate of this bug. ***
Comment 211 Beat Wolf 2009-12-03 13:21:01 UTC
*** Bug 217095 has been marked as a duplicate of this bug. ***
Comment 212 Beat Wolf 2009-12-03 13:21:16 UTC
*** Bug 217164 has been marked as a duplicate of this bug. ***
Comment 213 Marco Martin 2009-12-03 16:12:30 UTC
*** Bug 217209 has been marked as a duplicate of this bug. ***
Comment 214 Dmitry 2009-12-04 08:37:43 UTC
Created attachment 38822 [details]
Yet another traceback, now for 4.3.4

Upgraded to 4.3.4, still got this error, but the backtrace changed:

Thread 1 (Thread 0x7f054904f790 (LWP 30091)):
[KCrash Handler]
#5  0x00000036275285f4 in QGraphicsLayoutItem::parentLayoutItem (this=0x30d9f50) at graphicsview/qgraphicslayoutitem.cpp:781
#6  0x00000036275276ca in QGraphicsLayoutPrivate::addChildLayoutItem (this=<value optimized out>, layoutItem=<value optimized out>) at graphicsview/qgraphicslayout_p.cpp:150
#7  0x00000036274fe044 in QGraphicsGridLayout::addItem (this=<value optimized out>, item=<value optimized out>, row=<value optimized out>, column=<value optimized out>, etc...
Comment 215 Beat Wolf 2009-12-04 11:39:08 UTC
*** Bug 217289 has been marked as a duplicate of this bug. ***
Comment 216 Beat Wolf 2009-12-04 11:39:19 UTC
*** Bug 217315 has been marked as a duplicate of this bug. ***
Comment 217 Dario Andres 2009-12-04 16:49:15 UTC
*** Bug 216147 has been marked as a duplicate of this bug. ***
Comment 218 FiNeX 2009-12-04 21:45:04 UTC
*** Bug 217368 has been marked as a duplicate of this bug. ***
Comment 219 Beat Wolf 2009-12-06 14:48:58 UTC
*** Bug 217587 has been marked as a duplicate of this bug. ***
Comment 220 Beat Wolf 2009-12-08 10:40:41 UTC
*** Bug 217823 has been marked as a duplicate of this bug. ***
Comment 221 Dario Andres 2009-12-10 17:55:42 UTC
*** Bug 218134 has been marked as a duplicate of this bug. ***
Comment 222 Beat Wolf 2009-12-11 09:07:38 UTC
*** Bug 218236 has been marked as a duplicate of this bug. ***
Comment 223 Beat Wolf 2009-12-11 14:56:43 UTC
*** Bug 218267 has been marked as a duplicate of this bug. ***
Comment 224 Beat Wolf 2009-12-14 21:35:40 UTC
*** Bug 218672 has been marked as a duplicate of this bug. ***
Comment 225 Beat Wolf 2009-12-14 22:44:57 UTC
there are no reports against kde trunk (4.4) right now (from what i have seen). Please report if anybody can reproduce this with trunk. There have been some changes in the taskbar and a new QT version is used, so this might have been fixed by accident
Comment 226 Beat Wolf 2009-12-18 11:32:08 UTC
*** Bug 219151 has been marked as a duplicate of this bug. ***
Comment 227 Dario Andres 2009-12-28 00:26:35 UTC
*** Bug 220325 has been marked as a duplicate of this bug. ***
Comment 228 Stefan Behnel 2009-12-30 15:43:22 UTC
At least for me (using KDE 4.3.2/Kubuntu 9.10/x86_64), this does not seem to be related to desktop switching. It sometimes (more rarely) also happens when closing a window, for example, so I assume that it happens when windows go out of scope in one way or another, including a desktop switch.
Comment 229 Dario Andres 2010-01-01 14:00:26 UTC
*** Bug 220878 has been marked as a duplicate of this bug. ***
Comment 230 Jonathan Thomas 2010-01-02 14:38:30 UTC
*** Bug 220958 has been marked as a duplicate of this bug. ***
Comment 231 Beat Wolf 2010-01-02 18:07:45 UTC
*** Bug 220702 has been marked as a duplicate of this bug. ***
Comment 232 Beat Wolf 2010-01-02 18:08:48 UTC
a bugreport against 4.4 beta 2 was submitted. here the backtrace:

#5  Tasks::itemTopMargin (this=0x15a97a0) at
/home/abner/Projects/kde/src/kdebase/workspace/plasma/desktop/applets/tasks/tasks.h:88
#6  AbstractTaskItem::basicPreferredSize (this=0x15a97a0) at
/home/abner/Projects/kde/src/kdebase/workspace/plasma/desktop/applets/tasks/abstracttaskitem.cpp:114
#7  0x00007f2408ab8ab6 in TaskItemLayout::preferredColumns (this=0x1a7f390) at
/home/abner/Projects/kde/src/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:232
#8  0x00007f2408ab91bc in TaskItemLayout::gridLayoutSize (this=0x1a7f390) at
/home/abner/Projects/kde/src/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:248
#9  0x00007f2408ab924d in TaskItemLayout::layoutItems (this=0x408c8000000000a0)
at
/home/abner/Projects/kde/src/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:271
#10 0x00007f2408ab9d7a in TaskItemLayout::insert (this=0x1a7f390, index=<value
optimized out>, item=0x21109f0)
    at
/home/abner/Projects/kde/src/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:146
#11 0x00007f2408ab9ed8 in TaskItemLayout::addTaskItem (this=0x1a7f390,
item=0x21109f0) at
/home/abner/Projects/kde/src/kdebase/workspace/plasma/desktop/applets/tasks/taskitemlayout.cpp:99
#12 0x00007f2408ac62e8 in TaskGroupItem::itemAdded (this=0x1a89d90,
groupableItem=0x1fe75f0) at
/home/abner/Projects/kde/src/kdebase/workspace/plasma/desktop/applets/tasks/taskgroupite
Comment 233 Unknown 2010-01-04 18:11:07 UTC
Created attachment 39558 [details]
New crash information added by DrKonqi

It occures mainly when I switch between desktops. KDE 4.4 beta 2.
Comment 234 Marco Martin 2010-01-04 20:28:10 UTC
*** Bug 221269 has been marked as a duplicate of this bug. ***
Comment 235 Beat Wolf 2010-01-05 11:23:21 UTC
*** Bug 221337 has been marked as a duplicate of this bug. ***
Comment 236 Jonathan Thomas 2010-01-05 15:08:48 UTC
*** Bug 221388 has been marked as a duplicate of this bug. ***
Comment 237 Jirka Klimes 2010-01-08 11:35:17 UTC
Hello,
yet another backtrace for the bug:

---begin---
Application: Plasma Workspace (plasma-desktop), signal: Segmentation fault
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
The current source language is "auto; currently asm".
[Current thread is 1 (Thread 0x7ffb763b3840 (LWP 1897))]

Thread 2 (Thread 0x7ffb5ec7b710 (LWP 1898)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x000000348745addb in wait (time=18446744073709551615, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (time=18446744073709551615, this=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x0000003488481af4 in QHostInfoAgent::run (this=0xc793b0) at kernel/qhostinfo.cpp:260
#4  0x0000003487459d25 in QThreadPrivate::start (arg=0xc793b0) at thread/qthread_unix.cpp:188
#5  0x00000033cf406a3a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00000033ce8ddf3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffb763b3840 (LWP 1897)):
[KCrash Handler]
#5  itemTopMargin (this=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/applets/tasks/tasks.h:92
#6  AbstractTaskItem::basicPreferredSize (this=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/applets/tasks/abstracttaskitem.cpp:99
#7  0x00007ffb634665a5 in TaskItemLayout::preferredColumns (this=0xcc4ef0) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/applets/tasks/taskitemlayout.cpp:211
#8  0x00007ffb6346734d in TaskItemLayout::gridLayoutSize (this=0xcc4ef0) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/applets/tasks/taskitemlayout.cpp:227
#9  0x00007ffb634673e0 in TaskItemLayout::layoutItems (this=0xcc4ef0) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/applets/tasks/taskitemlayout.cpp:250
#10 0x00007ffb63468555 in TaskItemLayout::remove (this=0xcc4ef0, item=0x19b50b0) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/applets/tasks/taskitemlayout.cpp:141
#11 0x00007ffb6346875e in TaskItemLayout::removeTaskItem (this=0xcc4ef0, item=0x19b50b0) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/applets/tasks/taskitemlayout.cpp:93
#12 0x00007ffb634732a3 in TaskGroupItem::itemRemoved (this=0xcc0730, groupableItem=0x1a20920) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/applets/tasks/taskgroupitem.cpp:521
#13 0x00007ffb63474704 in TaskGroupItem::qt_metacall (this=0xcc0730, _c=InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff3328b1b0)
    at /usr/src/debug/kdebase-workspace-4.3.3/x86_64-redhat-linux-gnu/plasma/applets/tasks/taskgroupitem.moc:114
#14 0x000000348755408c in QMetaObject::activate (sender=0xcc4e00, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x7fff3328b1b0) at kernel/qobject.cpp:3112
#15 0x000000348f430bf2 in TaskManager::TaskGroup::itemRemoved (this=<value optimized out>, _t1=0x1a20920)
    at /usr/src/debug/kdebase-workspace-4.3.3/x86_64-redhat-linux-gnu/libs/taskmanager/taskgroup.moc:152
#16 0x000000348f4312c1 in TaskManager::TaskGroup::remove (this=0xcc4e00, item=0x1a20920) at /usr/src/debug/kdebase-workspace-4.3.3/libs/taskmanager/taskgroup.cpp:189
#17 0x000000348f43149f in TaskManager::TaskGroup::add (this=0x10e5070, item=0x1a20920) at /usr/src/debug/kdebase-workspace-4.3.3/libs/taskmanager/taskgroup.cpp:120
#18 0x000000348f418082 in TaskManager::AbstractGroupingStrategy::createGroup (this=0x19add70, items=...) at /usr/src/debug/kdebase-workspace-4.3.3/libs/taskmanager/abstractgroupingstrategy.cpp:140
#19 0x000000348f420160 in TaskManager::ProgramGroupingStrategy::programGrouping (this=0x19add70, taskItem=0xcc7030, groupItem=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.3.3/libs/taskmanager/strategies/programgroupingstrategy.cpp:189
#20 0x000000348f420bfb in TaskManager::ProgramGroupingStrategy::handleItem (this=0x19add70, item=0xcc7030)
    at /usr/src/debug/kdebase-workspace-4.3.3/libs/taskmanager/strategies/programgroupingstrategy.cpp:156
#21 0x000000348f41ae0a in TaskManager::GroupManagerPrivate::addTask (this=0xccb840, task=...) at /usr/src/debug/kdebase-workspace-4.3.3/libs/taskmanager/groupmanager.cpp:288
#22 0x000000348f41cf0a in TaskManager::GroupManager::qt_metacall (this=0xbf2e70, _c=<value optimized out>, _id=10, _a=0x7fff3328b640)
    at /usr/src/debug/kdebase-workspace-4.3.3/x86_64-redhat-linux-gnu/libs/taskmanager/groupmanager.moc:103
#23 0x000000348755408c in QMetaObject::activate (sender=0xbe9710, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x7fff3328b640) at kernel/qobject.cpp:3112
#24 0x000000348f434092 in TaskManager::TaskManager::taskAdded (this=<value optimized out>, _t1=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.3.3/x86_64-redhat-linux-gnu/libs/taskmanager/taskmanager.moc:155
#25 0x000000348f436090 in TaskManager::TaskManager::windowAdded (this=0xbe9710, w=83901564) at /usr/src/debug/kdebase-workspace-4.3.3/libs/taskmanager/taskmanager.cpp:261
#26 0x000000348f4373af in TaskManager::TaskManager::qt_metacall (this=0xbe9710, _c=InvokeMetaMethod, _id=6, _a=0x7fff3328b8e0)
    at /usr/src/debug/kdebase-workspace-4.3.3/x86_64-redhat-linux-gnu/libs/taskmanager/taskmanager.moc:109
#27 0x000000348755408c in QMetaObject::activate (sender=0xaa0890, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x7fff3328b8e0) at kernel/qobject.cpp:3112
#28 0x000000348b33c8f2 in KWindowSystem::windowAdded(unsigned long) () from /usr/lib64/libkdeui.so.5
#29 0x000000348b33f51a in ?? () from /usr/lib64/libkdeui.so.5
#30 0x000000348b34d24d in NETRootInfo::update(unsigned long const*) () from /usr/lib64/libkdeui.so.5
#31 0x000000348b34df33 in NETRootInfo::event(_XEvent*, unsigned long*, int) () from /usr/lib64/libkdeui.so.5
#32 0x000000348b33f96c in ?? () from /usr/lib64/libkdeui.so.5
#33 0x000000348b210f26 in KApplication::x11EventFilter(_XEvent*) () from /usr/lib64/libkdeui.so.5
#34 0x0000003487e4e277 in PlasmaApp::x11EventFilter (this=0x823580, event=0x7fff3328d5f0) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/shells/desktop/plasmaapp.cpp:490
#35 0x00000034891e9621 in qt_x11EventFilter (ev=0x7fff3328d5f0) at kernel/qapplication_x11.cpp:377
#36 0x00000034891f9a21 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff3328d5f0) at kernel/qapplication_x11.cpp:3270
#37 0x000000348922284c in x11EventSourceDispatch (s=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#38 0x0000003484c3922e in g_main_dispatch (context=<value optimized out>) at gmain.c:1960
#39 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2513
#40 0x0000003484c3cc18 in g_main_context_iterate (context=0x838920, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2591
#41 0x0000003484c3cd3a in IA__g_main_context_iteration (context=0x838920, may_block=1) at gmain.c:2654
#42 0x00000034875671e6 in QEventDispatcherGlib::processEvents (this=0x80b230, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#43 0x0000003489221ffe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#44 0x000000348753d772 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#45 0x000000348753db44 in QEventLoop::exec (this=0x7fff3328d920, flags=...) at kernel/qeventloop.cpp:201
#46 0x000000348753fcd9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#47 0x0000003487e3af4f in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.3.3/plasma/shells/desktop/main.cpp:50
#48 0x00000033ce81eb1d in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=<value optimized out>) at libc-start.c:220
#49 0x0000000000400779 in _start ()
---end--
Comment 238 Dario Andres 2010-01-09 19:12:22 UTC
*** Bug 221946 has been marked as a duplicate of this bug. ***
Comment 239 Dario Andres 2010-01-10 14:53:18 UTC
*** Bug 222027 has been marked as a duplicate of this bug. ***
Comment 240 Beat Wolf 2010-01-11 10:10:50 UTC
*** Bug 222192 has been marked as a duplicate of this bug. ***
Comment 241 Beat Wolf 2010-01-11 13:23:57 UTC
*** Bug 222099 has been marked as a duplicate of this bug. ***
Comment 242 Jonathan Thomas 2010-01-11 14:56:04 UTC
*** Bug 222214 has been marked as a duplicate of this bug. ***
Comment 243 Beat Wolf 2010-01-12 11:35:37 UTC
*** Bug 222355 has been marked as a duplicate of this bug. ***
Comment 244 Beat Wolf 2010-01-13 10:15:06 UTC
*** Bug 222480 has been marked as a duplicate of this bug. ***
Comment 245 Beat Wolf 2010-01-14 10:21:39 UTC
*** Bug 222644 has been marked as a duplicate of this bug. ***
Comment 246 Clemens Eisserer 2010-01-14 10:55:53 UTC
Please fix this before 4.4 is released. 
Judging a lot of people experience this crasher, and it has been open for sooo long :-/
Comment 247 Beat Wolf 2010-01-14 11:39:13 UTC
updated backtrace for kde 4.4 RC1:
Thread 1 (Thread 0x7f2b25956750 (LWP 2387)):
[KCrash Handler]
#5  Tasks::itemTopMargin (this=0x3ca7f40) at
../../../../../plasma/desktop/applets/tasks/tasks.h:88
#6  AbstractTaskItem::basicPreferredSize (this=0x3ca7f40) at
../../../../../plasma/desktop/applets/tasks/abstracttaskitem.cpp:115
#7  0x00007f2b075a3405 in TaskItemLayout::preferredColumns (this=0x2e2bb90) at
../../../../../plasma/desktop/applets/tasks/taskitemlayout.cpp:232
#8  0x00007f2b075a3e4d in TaskItemLayout::gridLayoutSize (this=0x2e2bb90) at
../../../../../plasma/desktop/applets/tasks/taskitemlayout.cpp:248
#9  0x00007f2b075a3edd in TaskItemLayout::layoutItems (this=0xffffffc0ffffffc0)
at ../../../../../plasma/desktop/applets/tasks/taskitemlayout.cpp:271
#10 0x00007f2b075a4778 in TaskItemLayout::remove (this=0x2e2bb90,
item=0x3947710) at
../../../../../plasma/desktop/applets/tasks/taskitemlayout.cpp:158
#11 0x00007f2b075a488e in TaskItemLayout::removeTaskItem
(this=0xffffffc0ffffffc0, item=0x0) at
../../../../../plasma/desktop/applets/tasks/taskitemlayout.cpp:110
#12 0x00007f2b075b0269 in TaskGroupItem::itemRemoved (this=0x2e2f190,
groupableItem=0x396db80) at
../../../../../plasma/desktop/applets/tasks/taskgroupitem.cpp:521
#13 0x00007f2b075b18ec in TaskGroupItem::qt_metacall (this=0x2e2f190,
_c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffb8508360)
at ./taskgroupitem.moc:120
#14 0x00007f2b23f3ddc3 in QMetaObject::activate (sender=0x2e34820, m=<value
optimized out>, local_signal_index=<value optimized out>, argv=0x339eac2) at
kernel/qobject.cpp:3294
#15 0x00007f2b07374b22 in TaskManager::TaskGroup::itemRemoved
(this=0xffffffc0ffffffc0, _t1=0x396db80) at ./taskgroup.moc:156
#16 0x00007f2b07375761 in TaskManager::TaskGroup::remove (this=0x2e34820,
item=0x396db80) at ../../../libs/taskmanager/taskgroup.cpp:254
#17 0x00007f2b07363fb7 in TaskManager::GroupManagerPrivate::removeTask
(this=<value optimized out>, task=) at
../../../libs/taskmanager/groupmanager.cpp:312
#18 0x00007f2b073655ba in TaskManager::GroupManager::qt_metacall
(this=0x2650a90, _c=<value optimized out>, _id=<value optimized out>,
_a=0x7fffb85085b0) at ./groupmanager.moc:101
#19 0x00007f2b23f3ddc3 in QMetaObject::activate (sender=0x2650bd0, m=<value
optimized out>, local_signal_index=<value optimized out>, argv=0x339eac2) at
kernel/qobject.cpp:3294
#20 0x00007f2b07379a45 in TaskManager::TaskManager::taskRemoved
(this=0xffffffc0ffffffc0, _t1=<value optimized out>) at ./taskmanager.moc:168
#21 0x00007f2b0737b496 in TaskManager::TaskManager::windowRemoved
(this=0x2650bd0, w=85983289) at ../../../libs/taskmanager/taskmanager.cpp:279
#22 0x00007f2b0737cf37 in TaskManager::TaskManager::qt_metacall
(this=0x2650bd0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>,
_a=0x7fffb85087e0) at ./taskmanager.moc:116
#23 0x00007f2b23f3ddc3 in QMetaObject::activate (sender=0x221d190, m=<value
optimized out>, local_signal_index=<value optimized out>, argv=0x339eac2) at
kernel/qobject.cpp:3294
#24 0x00007f2b245a7ab2 in KWindowSystem::windowRemoved
(this=0xffffffc0ffffffc0, _t1=85983289) at ./kwindowsystem.moc:133
#25 0x00007f2b245aa8aa in KWindowSystemPrivate::removeClient (this=0x22f7690,
w=85983289) at ../../kdeui/windowmanagement/kwindowsystem_x11.cpp:249
#26 0x00007f2b245b8a8d in NETRootInfo::update (this=0x22f76b8,
dirty_props=<value optimized out>) at
../../kdeui/windowmanagement/netwm.cpp:2193
#27 0x00007f2b245b97c3 in NETRootInfo::event (this=0x22f76b8, event=<value
optimized out>, properties=0x7fffb8508af0, properties_size=5) at
../../kdeui/windowmanagement/netwm.cpp:2068
#28 0x00007f2b245aab5c in KWindowSystemPrivate::x11Event (this=0x22f7690,
ev=0x7fffb85092b0) at ../../kdeui/windowmanagement/kwindowsystem_x11.cpp:136
#29 0x00007f2b2446f5f6 in KAppX11HackWidget::publicx11Event (this=<value
optimized out>, _event=0x7fffb85092b0) at
../../kdeui/kernel/kapplication.cpp:903
#30 KApplication::x11EventFilter (this=<value optimized out>,
_event=0x7fffb85092b0) at ../../kdeui/kernel/kapplication.cpp:953
#31 0x00007f2b195d7f37 in PlasmaApp::x11EventFilter (this=0x202c7c0,
event=0x7fffb85092b0) at ../../../../plasma/desktop/shell/plasmaapp.cpp:567
#32 0x00007f2b231447a1 in qt_x11EventFilter (ev=0x7fffb85092b0) at
kernel/qapplication_x11.cpp:399
#33 0x00007f2b231532b1 in QApplication::x11ProcessEvent (this=<value optimized
out>, event=0x7fffb85092b0) at kernel/qapplication_x11.cpp:3231
#34 0x00007f2b2317f712 in x11EventSourceDispatch (s=0x2047990, callback=<value
optimized out>, user_data=<value optimized out>) at
kernel/qguieventdispatcher_glib.cpp:146
#35 0x00007f2b1f570bce in g_main_dispatch (context=0x2046920) at
/build/buildd/glib2.0-2.22.3/glib/gmain.c:1960
#36 IA__g_main_context_dispatch (context=0x2046920) at
/build/buildd/glib2.0-2.22.3/glib/gmain.c:2513
#37 0x00007f2b1f574598 in g_main_context_iterate (context=0x2046920,
block=<value optimized out>, dispatch=<value optimized out>, self=<value
optimized out>)
    at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2591
#38 0x00007f2b1f5746c0 in IA__g_main_context_iteration (context=0x2046920,
may_block=1) at /build/buildd/glib2.0-2.22.3/glib/gmain.c:2654
#39 0x00007f2b23f54623 in QEventDispatcherGlib::processEvents (this=0x2043f60,
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#40 0x00007f2b2317f2fe in QGuiEventDispatcherGlib::processEvents
(this=0xffffffc0ffffffc0, flags=<value optimized out>) at
kernel/qguieventdispatcher_glib.cpp:202
#41 0x00007f2b23f29972 in QEventLoop::processEvents (this=<value optimized
out>, flags=) at kernel/qeventloop.cpp:149
#42 0x00007f2b23f29d4c in QEventLoop::exec (this=0x7fffb85095e0, flags=) at
kernel/qeventloop.cpp:201
#43 0x00007f2b23f2da8b in QCoreApplication::exec () at
kernel/qcoreapplication.cpp:981
#44 0x00007f2b195c68a2 in kdemain (argc=<value optimized out>, argv=<value
optimized out>) at ../../../../plasma/desktop/shell/main.cpp:112
#45 0x0000000000406fb8 in launch (argc=1, _name=<value optimized out>,
args=<value optimized out>, cwd=<value optimized out>, envc=0, envs=<value
optimized out>, reset_env=false, tty=0x0, 
    avoid_loops=false, startup_id_str=0x40a4a1 "0") at
../../kinit/kinit.cpp:706
#46 0x0000000000407c70 in handle_launcher_request (sock=7, who=<value optimized
out>) at ../../kinit/kinit.cpp:1198
#47 0x0000000000408121 in handle_requests (waitForPid=0) at
../../kinit/kinit.cpp:1391
#48 0x0000000000408dea in main (argc=4, argv=<value optimized out>, envp=<value
optimized out>) at ../../kinit/kinit.cpp:1830
The current source language is "auto; currently asm".
The current source language is "auto; currently c".
Comment 248 Martin Koller 2010-01-14 12:18:27 UTC
I ran plasma-desktop in valgrind. On crashing, I got the following:

==18068== Invalid read of size 4
==18068==    at 0x5A6A265: QGraphicsScenePrivate::processDirtyItemsRecursive(QGraphicsItem*, bool, double) (qscopedpointer.h:113)
==18068==    by 0x5A6C4CC: QGraphicsScenePrivate::_q_processDirtyItems() (qgraphicsscene.cpp:466)
==18068==    by 0x5A6CB42: QGraphicsScene::qt_metacall(QMetaObject::Call, int, void**) (moc_qgraphicsscene.cpp:130)
==18068==    by 0x42F48F1: Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**) (corona.moc:107)
==18068==    by 0x409B28D: DesktopCorona::qt_metacall(QMetaObject::Call, int, void**) (desktopcorona.moc:78)
==18068==    by 0x5EF0D4C: QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) (qmetaobject.cpp:237)
==18068==    by 0x5EFB734: QMetaCallEvent::placeMetaCall(QObject*) (qobject.cpp:574)
==18068==    by 0x5EFC81E: QObject::event(QEvent*) (qobject.cpp:1260)
==18068==    by 0x5A68A1F: QGraphicsScene::event(QEvent*) (qgraphicsscene.cpp:3450)
==18068==    by 0x53A31DB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4242)
==18068==    by 0x53A9FFF: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:3661)
==18068==    by 0x4D61E90: KApplication::notify(QObject*, QEvent*) (in /usr/lib/libkdeui.so.5.4.0)
==18068==  Address 0x1559c2d4 is 12 bytes inside a block of size 24 free'd
==18068==    at 0x40265BD: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==18068==    by 0x5A93900: QGraphicsWidget::~QGraphicsWidget() (qgraphicswidget.cpp:277)
==18068==    by 0x5EFB59B: QObjectPrivate::deleteChildren() (qobject.cpp:1998)
==18068==    by 0x5F02A82: QObject::~QObject() (qobject.cpp:987)
==18068==    by 0x5A922F8: QGraphicsWidget::~QGraphicsWidget() (qgraphicsitem.h:537)
==18068==    by 0x167B026C: AbstractTaskItem::~AbstractTaskItem() (abstracttaskitem.cpp:156)
==18068==    by 0x167B035F: TaskGroupItem::~TaskGroupItem() (taskgroupitem.cpp:79)
==18068==    by 0x5EFB162: qDeleteInEventHandler(QObject*) (qobject.cpp:4021)
==18068==    by 0x5EFC847: QObject::event(QEvent*) (qobject.cpp:1243)
==18068==    by 0x5A8F853: QGraphicsWidget::event(QEvent*) (qgraphicswidget.cpp:1362)
==18068==    by 0x53A31DB: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4242)
==18068==    by 0x53A9FFF: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:3661)
Comment 249 Dario Andres 2010-01-14 12:22:24 UTC
@Martin (comment 248): that is a different crash -> bug 210146. Regards
Comment 250 Alex Merry 2010-01-14 15:58:48 UTC
@Clemens Eisserer: if it was that easy, it would have been done.  We've already made the crash far less frequent (I personally haven't experienced it in several months now), but there still appear to be problem cases slipping through.
Comment 251 Stefan Behnel 2010-01-14 16:20:04 UTC
'far less frequent' isn't exactly what it feels like to have the latest Kubuntu 9.10 crash on me every couple of desktop switches. It's still usable because the desktop comes back after a couple of seconds, and it's almost stable while working with a single app on a single desktop.

It's not exactly a situation that matches the average user's expectations w.r.t a reliable working environment, though.
Comment 252 Beat Wolf 2010-01-14 16:29:10 UTC
Stefan Behnel: Alex probably ment the developement version of KDE which is kde 4.4
Comment 253 Unknown 2010-01-14 16:54:19 UTC
I'm really sorry to say that, but in KDE 4.4 RC, there was a day when the desktop crashed in every 2 minutes (!).
I think it is related whether the windows are grouped or not.
Comment 254 Mathias Panzenböck 2010-01-14 17:26:40 UTC
Strange thing: I use Smooth Tasks (written by myself, fork of STasks which is a fork of the original tasks applet) and using KDE 4.3 I never get this crash. So we know at least it is the Tasks applet and not libtaskmanager. Hm, unless the Tasks applet gets somehow confused when bug 202199 occurs. But this is said to be fixed in 4.4.

However, I get crash reports when users use my applet under 4.4 without recompiling it. Some binary compatibility problem? Maybe can the people that experience this bug recompile the applet from source? Maybe the distributors mess something up? I doubt that, but worth a try.
Comment 255 g111 2010-01-14 18:05:16 UTC
"I think it is related whether the windows are grouped or not."

IMHO Yes. See Comment #74 and Comment #92
Comment 256 Beat Wolf 2010-01-15 10:09:07 UTC
*** Bug 222811 has been marked as a duplicate of this bug. ***
Comment 257 Jacopo De Simoi 2010-01-16 00:46:47 UTC
SVN commit 1075380 by jacopods:

Delay checking for the task layout being full till the next event cycle;
this avoids nasty cases such as a relayout triggered in the middle of another relayout, typically on virtual desktop switching
which would lead to inconsistent grouping and possibly crashes
CCBUG: 199325


 M  +15 -0     groupmanager.cpp  
 M  +1 -0      groupmanager.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1075380
Comment 258 Jacopo De Simoi 2010-01-16 00:48:22 UTC
SVN commit 1075384 by jacopods:

backport 1075380 to 4.4... let's see how it goes 
CCBUG:199325


 M  +15 -0     groupmanager.cpp  
 M  +1 -0      groupmanager.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1075384
Comment 259 Xavier Fung 2010-01-16 04:47:29 UTC
Created attachment 39933 [details]
New crash information added by DrKonqi

Yet another backtrace. would try to compile again to see if it goes away.
Comment 260 Gilboa Davara 2010-01-17 22:50:20 UTC
FWIF, I can reproduce this crash a couple of times each day on 4.4RC1. (Fedora 12 RPMs)
I assume that the patch will be out when RC2 is released?

- Gilboa
Comment 261 Jacopo De Simoi 2010-01-21 00:06:00 UTC
SVN commit 1077810 by jacopods:

backport to 4.3; will be in 4.3.5
CCBUG: 199325


 M  +15 -0     groupmanager.cpp  
 M  +1 -0      groupmanager.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1077810
Comment 262 Juha Tiensyrjä 2010-01-21 18:19:49 UTC
Created attachment 40098 [details]
New crash information added by DrKonqi

I'm using KDE SC 4.4 rc1 from the Kubuntu beta PPA. Plasma workspace crashes daily, usually in conjunction with something happening at the task bar. This crash happened when I sent an e-mail from Thunderbird. The compose window closed, and a couple of seconds later plasma workspace crashed.

Also, when I have the same application (Okular usually) open several times, the task bar groups it correctly. But when I close some of them, and the task bar doesn't need to group them anymore, there is a crash. It is not reproducible every time, but in my use it happens a few times a day.
Comment 263 Dario Andres 2010-01-24 14:36:08 UTC
*** Bug 224029 has been marked as a duplicate of this bug. ***
Comment 264 Beat Wolf 2010-01-24 18:05:27 UTC
*** Bug 224058 has been marked as a duplicate of this bug. ***
Comment 265 Beat Wolf 2010-01-25 09:50:43 UTC
*** Bug 224115 has been marked as a duplicate of this bug. ***
Comment 266 Dario Andres 2010-01-26 21:07:59 UTC
*** Bug 224319 has been marked as a duplicate of this bug. ***
Comment 267 Unknown 2010-01-26 23:16:12 UTC
Created attachment 40274 [details]
Newer form of the bug

The situation is changed a bit after the patch. Plasma doesn't crash, indeed, but now the windows are mixed on each other (probably when Plasma used to crash).
Comment 268 Dario Andres 2010-01-27 01:10:52 UTC
@Szőts Ákos: this report is already a big beast. Please, open a new (clean) report describing that last issue. Regards
Comment 269 Unknown 2010-01-27 11:08:55 UTC
Yes, of course; here you are the newly opened one: Bug 224447
Comment 270 Beat Wolf 2010-02-02 09:46:46 UTC
*** Bug 224765 has been marked as a duplicate of this bug. ***
Comment 271 Beat Wolf 2010-02-02 19:13:01 UTC
*** Bug 225222 has been marked as a duplicate of this bug. ***
Comment 272 Beat Wolf 2010-02-02 19:41:46 UTC
*** Bug 225302 has been marked as a duplicate of this bug. ***
Comment 273 Dario Andres 2010-02-03 13:35:34 UTC
*** Bug 225363 has been marked as a duplicate of this bug. ***
Comment 274 Dario Andres 2010-02-03 13:39:45 UTC
*** Bug 225340 has been marked as a duplicate of this bug. ***
Comment 275 Beat Wolf 2010-02-04 13:21:35 UTC
*** Bug 225502 has been marked as a duplicate of this bug. ***
Comment 276 Beat Wolf 2010-02-04 13:25:01 UTC
*** Bug 225463 has been marked as a duplicate of this bug. ***
Comment 277 Beat Wolf 2010-02-07 10:01:10 UTC
*** Bug 225802 has been marked as a duplicate of this bug. ***
Comment 278 Dario Andres 2010-02-19 14:28:05 UTC
*** Bug 227661 has been marked as a duplicate of this bug. ***
Comment 279 Dario Andres 2010-02-19 14:33:21 UTC
*** Bug 227630 has been marked as a duplicate of this bug. ***
Comment 280 Frank Reininghaus 2010-02-20 23:16:17 UTC
*** Bug 227842 has been marked as a duplicate of this bug. ***
Comment 281 Dario Andres 2010-02-21 02:56:22 UTC
*** Bug 227866 has been marked as a duplicate of this bug. ***
Comment 282 Dario Andres 2010-02-21 23:32:30 UTC
*** Bug 227959 has been marked as a duplicate of this bug. ***
Comment 283 Beat Wolf 2010-02-22 10:14:51 UTC
*** Bug 228012 has been marked as a duplicate of this bug. ***
Comment 284 Jonathan Thomas 2010-02-23 23:48:44 UTC
*** Bug 222770 has been marked as a duplicate of this bug. ***
Comment 285 Dario Andres 2010-02-27 14:27:02 UTC
*** Bug 228671 has been marked as a duplicate of this bug. ***
Comment 286 Beat Wolf 2010-03-11 23:58:13 UTC
*** Bug 230228 has been marked as a duplicate of this bug. ***
Comment 287 Aaron J. Seigo 2010-03-12 20:28:10 UTC
#230228 is -not- the same bug as this report. it ends up crashing in the same general place, but the cause is completely different. the crash location is the same because that's exactly where it is likely to die in case of having a dangling tasks item pointer.

sorry for the noise to everyone who is still cc'd to this report.
Comment 288 Dario Andres 2010-03-19 00:46:36 UTC
*** Bug 231252 has been marked as a duplicate of this bug. ***
Comment 289 Dario Andres 2010-03-21 18:14:18 UTC
*** Bug 231556 has been marked as a duplicate of this bug. ***
Comment 290 Dario Andres 2010-03-24 12:56:06 UTC
*** Bug 231973 has been marked as a duplicate of this bug. ***
Comment 291 Beat Wolf 2010-04-01 14:44:39 UTC
*** Bug 232960 has been marked as a duplicate of this bug. ***
Comment 292 Dario Andres 2010-04-05 18:10:01 UTC
*** Bug 233375 has been marked as a duplicate of this bug. ***
Comment 293 Dario Andres 2010-04-10 14:17:57 UTC
*** Bug 233870 has been marked as a duplicate of this bug. ***